commit e35fc91ad4d07900847f550685ba9dbb6485fefc
Author: Jiří Techet <techet@gmail.com>

    0.4.6

commit 4c87318efe86b55d2d258fb0c3aab28e2c30bf3d
Author: Jiří Techet <techet@gmail.com>

    Use new gtk-doc.m4

commit 3de4c463dd24a1e38c5f2f1e39f0ff23776063bf
Author: Jiří Techet <techet@gmail.com>

    Update onlide documentation location

commit 81d7f6d59e1ce120198d78d5bc9997e460175eab
Author: Jiří Techet <techet@gmail.com>

    Update AUTHORS

commit cae5080d46785774a6f38cf1f0036d9f5eb8610a
Author: Jiří Techet <techet@gmail.com>

    Check whether priv->map != NULL in view_load_visible_tiles()

commit 1079c54d7daac7b24ea6e38b56eb59efaea645fe
Author: Jiří Techet <techet@gmail.com>

    Add Makefile.am under /docs

commit 08aa6da124aa198b0e15779fd3878a73fbdb4944
Author: Jiří Techet <techet@gmail.com>

    Make "make distcheck" work for vala even if libchamplain is not installed

commit 1027ca46acc8a08012e4ad8d91ce9368f58976ec
Author: Jiří Techet <techet@gmail.com>

    Add G_BEGIN_DECLS/G_END_DECLS where appropriate

commit e61036b9a2d0d13043bc797989eab0c479577f3f
Author: Jiří Techet <techet@gmail.com>

    Deallocate markers memory correctly

commit ee21f9e2d46c3b55ceadbbec1c6e6b0e9fd51db9
Author: Jiří Techet <techet@gmail.com>

    Fix introspection warning

commit 46c71f7abab5e809a1546e9e00adf42be6825b09
Author: Jiří Techet <techet@gmail.com>

    Correct champlain_base_marker_set_position() declaration

commit 2407524061cd3c04481550c07b046988552e78cf
Author: Rob Bradford <rob@linux.intel.com>

    network-map-source: Use a better mechanism for error tile

commit 853a50b554ee69689c64ce72e5a589a9bc722cca
Author: Jiří Techet <techet@gmail.com>

    Fix polygon demo crash on startup

commit 1468b2dc0a81b2a76cee5597b61abe3b14160db4
Author: Jiří Techet <techet@gmail.com>

    Update the maintainer info

commit 304d7887473719dd4123d45f54741e03bdab12a4
Author: Jiří Techet <techet@gmail.com>

    Check whether vala is really installed

commit f38f8562c661269daa21ea82025f9ad6949e48bb
Author: Simon Wenner <simon@wenner.ch>

    Add the launcher demo implemented in Vala

commit 7c5173c8d661de486bab5b7c6a666a938ade7f90
Author: Simon Wenner <simon@wenner.ch>

    Vala bindings: Missing nullable statements

commit e756e111a9f92d8540e07d7b420cbc922323a075
Author: Simon Wenner <simon@wenner.ch>

    Vala-bindings: Add several missing files

commit 8153ad9b6359ca1ecc0ca6be1ef6db53a62ea5f5
Author: Simon Wenner <simon@wenner.ch>

    Vala-bindings: Add missing 'out' parameters in ChamplainView

commit 8bd4e6d1ec677141031d19ee2fa3303f10734bb3
Author: Koop Mast <kwm@freebsd.org>

    Use stable pyclutter-gtk

commit f942c96b8a93fa44776cde531223f44d735f329e
Author: Tomaž Vajngerl <quikee@gmail.com>

    Fix for bindings compile run.

commit aa31e8a749f04a8a02ab846a8515a5f2fabdfe09
Author: Tomaž Vajngerl <quikee@gmail.com>

    Add vala bindings as a choice in configure.ac.

commit 47b8220b3577477699a4f63fd6f788c9e6917492
Author: Tomaž Vajngerl <quikee@gmail.com>

    Vala bindings for champlain 0.4.5.

commit 54f92ec2b8cf24d926830038b2c57cbfb3fc6baa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Bump release to 0.4.5 + NEWS

commit 20f971142725d60091a33ba7e3576fe458bf7ca9
Author: Jonathon Jongsma <jonathon@quotidian.org>

    Fix ChamplainView::notify for latitude and longitude

commit 8315abcc9ff54ec44de980b53163389c869a82ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Rob to AUTHORS

commit f0102a8f257ad449cc859dd4cda02c299918a978
Author: Rob Bradford <rob@linux.intel.com>

    view: Remove the need to explicitly set the size on the actor

commit 45ad132161635d23d591e1d713d722434a1d6b39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Properly get rid of previous image

commit ef14ca5f7448366dde169f3648e6b0ce4dc21b25
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    do not emit a notify for lat and lon if the change is too small

commit 29b97b51d40ee609704ea35d778c622487eb1705
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Adjust path name on Maemo to match Maep

commit b03800721fa2f78439a4b95a3e3dd4ebf7cd279f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS and bump libtool version

commit dbc5d903cee920bb8899a0f67ea840adc2a50fe4
Author: Jason Woofenden <jason309@herkamire.com>

    Load tiles near the middle first

commit daa9562b4c55faf32c79fbbbd957cd0ca164a96d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Also change path of cache db

commit 2ec700186d919e6683244b3fe32d724ff0b723ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add special paths for Maemo

commit 3ecfa358b2ddc7b81ce486955f8585857d918420
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Load tiles async from hard drive

commit c92d8002365947dbeb9c435d7760249a67fb2ef3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update scale and license on realize (once the map is available)

commit f661520c4e57c22d8691bd38c0e08d1864e270e8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make sure the licence and scale actors are on top

commit f9ba90b357250566065fb0b58cf43f049387ffa2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update python bindings not to use deprecated code

commit 54c8632053cfcded178badb8afbb17f5f278fa80
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't do everything everytime the user moves

commit 2b5640543b18036118420d69dc97dd91b9fb4bd0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't redraw the scale so often

commit e6b1e896f6f53c5527c13a2d309446cf637b9502
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove deprecated function call in urlmarker demo

commit 0ff2051d0bf6bf7139737ef7a33debb3d1ae875e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove the loading of the ETAG from the file system

commit b381b4d37ed9f34ff1c0d16a31a82d573b00c203
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rethink the init process

commit dfa8e91cf244fee3fa57dce6f10ac4061a3f66b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make the licence code work as the scale code

commit 28369615f26826979c59106e9f7d61a285ce7255
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    center on ealier in the demo

commit fc52a5cab6264ba4b97d056b379d4052bbfc25b0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update gitignore for demos

commit fbefd7cc5aa42aadd3cd089e84af3e0b2de2ee99
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    580372: Get rid of champlain_view_set_size

commit ccf3025e3250ee1442fbef158f860abee4563be9
Author: Lorenzo Masini <lorenxo86@gmail.com>

    Ship all the python .defs files in tar balls

commit a781774c376f61144d2d58568276d4489e61028f
Author: Lorenzo Masini <lorenxo86@gmail.com>

    Fix Python demos to use ChamplainEmbed

commit 1f066450c8edb312cb08b5038c714fd883af0085
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS and lib version for 0.4.3

commit 1ded3de4a7e1fc2e18c15733e5cbc9bfc6f3524f
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: disable markers by default in launcher-gtk.py

commit 77e2fdbd1ac7cae61d62b47bf03ba638611ecb46
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: wrap slot tp_dealloc to prevent polygon unref

commit a609bc55ed5e8df09b6b6672de9644e445e03218
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Make markers button disable by default in launcher-gtk.py

commit 39dddb1d8817811b19ad1f2dd04accd05a8d6236
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: sync demo launcher-gtk.py with C version

commit 674f7d22d04008a1a6931d3fb07f9a37077dfa70
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    typo in doc string

commit 2f146961c95a16c9ff51bf28bdaab53147915203
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: sync with libchamplain-0.4.3

commit 43ea595a9d3dc6086544e2f2ab1819002f127f2c
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: Add constructor definitions to MapSource and NetworkMapSource

commit f3d1e21c407f1f98ff4fb4ae2610b23ea946436c
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: Allows optional args in marker_new_with_text

commit dc412fb52b7958c527292b4d06c88ee784554373
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: Added the SelectionLayer api

commit ff0bec8039a003ea96f00568c5a641fb09f52223
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: changes in coding style and new constants

commit f0ae9854c2b8248c4ccb8129b385046662c83f76
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: provides writable attributes to champlain.Point

commit 154e637300ac2852f8ec6dbb9dcce6fdf61dac9f
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: Change code style and fix issues in
    ChamplainMapSourceDesc and ChamplainMapSourceFactory

commit 7909ecd9d2ca13e1ac9e858ad9865d80ed9bf4b6
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python-binding: Added constants CHAMPLAIN_MAP_SOURCE_*

commit 908c3ce024443201d1e950e2299ba5a3abb9df29
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python binding: sync with last changes in libchamplain api

commit 18dfa68d0263d53ec75da583f20cbe89207def9e
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    python binding: removes GInitiallyUnowned bad hack
    and cleans update-binding.sh script

commit 3adc4767e038ff0330d1abd313e588b17a01ff68
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the date of 0.11

commit abaf4b1b66e3872d12d2953869d904b96b5f22a0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for the view's scale

commit 230f2832dae1ebacbdeeba0120d15bb0ae1a397a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_view_get_license_text and champlain_view_set_license_text

commit c56bc95e3edc31c27ce9cc0f900936179fbf6119
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The view is no longer respecting the sizes it had previously

commit 6be40fc1b3ec7b4c84bffee1aa86c760f13eff3c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore coverage for champlain_unit_get_type

commit 8fa20aadd5c79e92d538c289b9949b33c244bac2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_polygon_set_mark_points and champlain_polygon_get_mark_points

commit ce19f8b67e40877978b43481200e5c8216b6b7e0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Change the Since doc property for champlain_polygon_get_mark_points

commit 03635c016194db19a3e029d9e579b7c40520d9b3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_marker_queue_redraw

commit ad2c07551e1236251502dc4dc8b2b89ffdf43105
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_marker_set_highlight_text_color and champlain_marker_get_highlight_text_color

commit da1158797c26ec16326cd21226c342d4cf0d0e8e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_marker_set_highlight_color

commit 487aebd6f475854d9f4d774ae31ab5360390a5cd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test get_meters_per_pixel for all map sources

commit 6a910e50890316ad5816da1925e91ea2a1a2e53c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_map_source_get_meters_per_pixel

commit 156ae2a007e6f153a0a766874932a8e20f3d4624
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Relax the license validation as they change too often

commit 9279da72b7b9f32af350884abcde17f01384f4f6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.4.3

commit 43da4e62f4cbb06472685d9d810712e34847681b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add map click to launcher-gtk for debuging purpuses

commit 58f174ed09bae2d7c36fff5e82ff5fe14444e987
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't eat clicks if using a ChamplainSelectionLayer

commit fa8b6f256d7f0437cea1af909d762dca4103b55f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Optimize, don't redraw the scale too often

commit 4611a64760dbbe76900b4b373a1756c3e5a057c4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Watch/Prevent division by 0

commit 54495f2c813ecb887868035e3c24a813d0910ea9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Simplify code by removing AnimationContext

commit 0875408bb81655ce7d7871cd1ee0fbfc6ed7d432
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove duplicated API definitions

commit a7c6d3e45bd5e36e8887e99c53edfa13d3505285
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove duplicated API calls (never released yet)

commit 43431d1b1bd7ef893c616f267c9b037e544a3db9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Change the point drawing logic

commit 176177de3c3797ca1add5e1f09bef1049aa95d28
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add extra license text to test

commit 9f34e21af32322814364ad8d36ebaf86d43869c6
Author: Andreas Henriksson <andreas@fatal.se>

    Add an option to highligh points in Polygons

commit ff13c87a172229be168887450f79c470a0b0a808
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Safe memory usage by using a clone instead of creating (and drawing) a new error tile)

commit 7f906df38beda1dfd149e380755094daf4176645
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add "Map data is" prefix to licenses

commit c8182b090a7e1a70185a0c082dbd571971c624b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Align the license text to right and simplify the position update

commit ed2d84af6726559cd569d6e02ad440084a4e601b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add user configurable additional license text to view

commit fef0db47be45ee56817b07ddf969305199a4b91f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't recreate a ClutterText object, just update the text

commit 9d55a5b6e51d17b096e74f48b99c0fd44cb02674
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Tollef to AUTHORS

commit 02c071e975a847f42cafff5ef0ebd73c18e649ec
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update the scale when recent

commit ef4d7eefdf2ea998f48ed77d53f6a07675b7a7dd
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Upgrade version number to 0.4.3

commit 4b6d12e0110d1e4c9cd253b354b708c2224fdbb0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Do not display scale by default

commit 149180b9ed6a977155973023ab2c49ac833e2bec
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add max-scale-width property to view

commit 393a4ef81b30cb9fe41c8d7a9c9e5d63b22c222a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rename display-scale property and add scale-unit

commit b3a3a731588ac506abc1439c901c3d81b7369ef1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Miles unites

commit fea06e4f82c6efed2016dcdcc6894855b4162c88
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Display meters when value is too small

commit b9fd24d62346b1b3cbd588689ab2e773e9728b7e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Display mid scale value too

commit 22c0d40b79d7c1631a7cb5a863a86a269fe33c14
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove bottom ticks

commit a1d6e500ea49ebc1cc7adbcda4c5f6744025454a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix scale ticks clipping

commit 9c8a19f540d24346d9a5ece397c77d8afd875e47
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Display a significant value

commit 60b06faf97d7d8cdebeef2c5b9f1346bf22534f3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Improve scale's design

commit 10078a898a9e1a2ece6f09f76950f46f73636c30
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move distance computation in MapSource

commit 41869abad9e39f8fa39bace01e21a80ed44f5d1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove the signal handlers in favor of existing handlers

commit 6105b73d60b09ae29c27b7ae8fbaacbbba3df4f1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style to match the rest

commit d5a82157b23e34f184dab1b73b0a46d8feb2e370
Author: Tollef Fog Heen <tfheen@err.no>

    Make it possible to hide the scale

commit b571200c126f6c9c6fc06c2ad19e75d806afb7cd
Author: Tollef Fog Heen <tfheen@err.no>

    Implement variable scale length depending on latitude

commit 0df659c3eb995023bce62c2a3a389346b9eb2172
Author: Tollef Fog Heen <tfheen@err.no>

    Add initial scaling capabilities

commit 7bde901882e5d6a5f03258515c643a298258d9ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Getting the scale to draw

commit d96b464e72e3d03e26c3b2f346f73de76e06f6cf
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    fix coding style

commit 015952c924a7b7b6d9434a4a1d5138a39b0aaa03
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make queue_redraw visible to subclasses

commit 15d0144ab6dfc5dab94b7dae7b7be5df4815908b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix segfault when polygon has been delete before redraw

commit 03163483191593bdc82ce6d604f1f592815af5a9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a weak pointer to draw polygon's context

commit 32927fd5f9e83197a8d0c3abbb5e5576fa9dc888
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix documentation of CHAMPLAIN_VERSION_CHECK

commit 2e8fe8f7712f3b6105c86067c08e8560a0581ff5
Author: Laurent Bigonville <bigon@debian.org>

    Fix Debian Bug #555082 about linking with gold

commit e9efc4aba960d448a468033ffaa25933421c824b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Symbols to ignore when mesuring the XS code coverage

commit 4d12b1e92b2cebbd4c38aea053c615a9a41cb249
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Don't include a .gitingore file in the manifest

commit 630440c3adbc9cbd52ae87e311dab9d09c43cda2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore the tar.gz dist file

commit abccb194b1917234abbdd43f692478e195d0881b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Makefile.am file

commit 400449fc1e1ca16a0ed5fb554e4cfa2890c6dd33
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore the XS temp files in the top folder

commit a3f05503fcf757b2906fa8e8780759e87066ca9b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore the XS temp files in the top folder

commit ecbe10ae14e9db320580961742cbe5eaaee92627
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    0.10 Advertise Gtk2::Champlain.

commit d0476ea4ad746ca49210cc8431d45eea3b8b3cb8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Announce the availability of Gtk2::Champlain

commit 9fedf5ce518553d8af05054d881c214c1f05ffcd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Improve the SYNOPSIS

commit 4842480433041c3f47c578ddcb4f62620f5fa7d5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Cleanup

commit 7fb7164bd0f9592c5cff66f2a52ad1c94b2e977d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the changelog for 0.01

commit a2c1d6e8608645a2080dc8bf0c6825c1ec0395d9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the changelog for 0.10

commit 8fb16d8c40be87b950359ec66c7ca9f28b008038
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    There's no subversion here

commit c127dcf2368a657c918e765d7e98afbb81f39145
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Files to ignore

commit 8b04f02ead62a1d848a21dfa1637920963e65f22
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Manifest files

commit dbc11e99b261a499bf6d7adfcf776122383fbc4a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for Gtk2-Champlain

commit 12e27b357b2a5f3ed0448de3d288697306152351
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.10

commit 60fb318d5a6a98fff6d7fd0877ab67808d590b3d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add Champlain to the ignore packages in Glib::CodeGen->write_boot()

commit 215eda0e795bc9d895cfac3de3a564048a112b88
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the POD

commit f13c43def716621b2705f76fdc32a8b2e67e67fa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Also report as loading when validating the cache

commit 922960df890f6ccba21efb71d16453a1dfe75d03
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump to 0.4.2

commit 885c4dd0e48cb16d2cf5d4f8a36a36f450cfcdf3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    595552: ChamplainView "decel-rate" accepts values below 1.0

commit 4607df59c5b8c634525a947983f9d6debd13704a
Author: Koop Mast <kwm@freebsd.org>

    598942: Fix champlain-gtk GObject introspection

commit 23187916539e70f0be987a6395f290dd63607a39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compiler warning "function declaration isn't a prototype"

commit ce9eb655a9d82c5c94164d7500b2fe12866dfd6a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix GObject-introspection

commit dd484485107fd0ca56315117757924deddab1ff1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS and libtool version bump

commit 13142525fd090c89865362f3a6466fff3e93141a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update python bindings

commit 4c92b1a0d408f1f95ba0bcd4e43f98c51814d1c3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix selection color being always blue

commit 1815499e08bae9639c324cef6955165f48004464
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add get/set hightlighted color

commit 49513f9bd65e3f885193db674aa21ad1302da494
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Update python binding api to libchamplain 0.4.1

commit 63df2c96d9bd5b81f7b7e14a1eb1947a853a161f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add champlain_marker_get_highlight_color

commit 990be804ea620616eb4d91862e2ee47e43c342a0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    ChamplainBiew->remove_layer() is tested only if 0.4.1 is available

commit 59ed4a6cc97b71f02e1557db8e50813a514932ed
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Perl bindings for champlain_view_remove_layer() are conditional

commit 3425ca5452a87a4c80ae5dce7667a00ef51966c2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Revert "Depend on libchamplain-0.4.1"

commit 7fed2392e9c95d8a30324b5326a2a435a42e6f99
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    0.09 now covers libchamplain 0.4.1

commit 046b1c2a11797d14b897b1ae74751ccc9ebbf801
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Depend on libchamplain-0.4.1

commit 6e909a5ebd8a66afcd6e46ef954f895fcc07acd6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore .xs-coverage.ignore

commit 33e7bf4a2d7d30c2e278e407fe532b6acebe9cb6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore Makefile.im

commit 4c2247508adaff9644b21c6914042ace0f583c7d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Call $view->remove_layer() in the Champlain::View test

commit 2e0679631deda921dbd6b867505f0a445fd38307
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add ChamplainView->remove_layer()

commit ba73d6938ba73aa9fd5c9bbde3112d4276de763b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Indentation

commit ae441faf37ea35c143289b03bfd0efc8b728d894
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.09

commit 0c7f374751169403e4c8d0a7eb52d5847daa12f5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Symbols to ignore when mesuring the XS code coverage

commit 1d13f515d0a9f11a5dfaea69408635b761b7fde8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the license of OpenStreetMap

commit 491719b826bd3bf71c6993daccea82598c00b771
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    OpenStreetMap (osmarender) has a zoom of 17

commit 52c2ca71f1076da60e0f7c705a9938b94c8998ef
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the OSM license

commit 5698bbe5f387393ba8161eb0cda0e6f91dee8200
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 598106:  champlain plugin: map isn't displayed

commit 954e21eb558a33649d68a378995417a3b0a63e8d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Increase performance of sqlite to lower IO wait

commit 2ef267ae0cb9ae6aaa6680318da55f339d8da80c
Author: Bruce Cowan <bcowan@fastmail.co.uk>

    Fix the OSM licences.

commit 11ab10bc8c31c4619c20b9d7c2ff51553579a1d1
Author: Debarshi Ray <rishi@gnu.org>

    Fix 597272: Adjust the ZoomLevel typedefs to keep the C++ bindings happy

commit d6e896daef6f8f4ae5e7b4de4c2362cb191d31a1
Author: Debarshi Ray <rishi@gnu.org>

    Fix 597272: Adjust the typedefs to to keep the C++ bindings happy

commit f32c71ef4fab4fa4dda50a7ee3c96299689c500f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add parameter guards in ChamplainSelectionLayer

commit 786fdcf0065a4705a7a65313c406ee3bdd82ed00
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix doc generation

commit 5c4769a01771798afa29c5b446391c133ee7de9c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a "changed" signal

commit f69e5fa79349596de22fe1c00110b4099d70f41c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Bump to 0.4.1

commit 7b72bff09d1eb2bcd16e7fdf07438edcdf52ae8b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add champlain_view_remove_layer

commit 886d3f9bca7ee24b6f952f90aac3bf973a88dbd8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't allow invalid longitude and latitude

commit dea3656affab3b8a2a5574552d7982a43bf3a1b8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Emit notify::map-source when modifying the map source

commit 44ae06302adf0e5833f3a0daa2aa659dd72963d3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the date for 0.08

commit 2b309f6ec69102bafb656d9690bbaec84e1d28a5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Run the animations in an event loop

commit 56585857e1f22b7717db789bb93dd2ce995ce0fa
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Run the animations within an event loop

commit c491ba784ab355d47cb13689471288eeccac7916
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update a comment

commit cbd826eef4522a2c27e55be620365f9d6b28e1a6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.08

commit e9aa36ea4396f564e8ec13c0c62a13a0b78b8475
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement the functions champlain_layer_animate_*()

commit ab6768b6c56908eb1ab8c830a0a3a211f1fa2840
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement the new animation functions champlain_base_marker_animate_*()

commit e388b242b4085a091b29e2572172b893e9501681
Author: Halton Huo <halton.huo@sun.com>

    Fix 595534 add --libtool to allow build pass on Solaris

commit 004e7e72916445c6d43014510aa38d1d1d294518
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Explain why there are not Gtk2 bindings yet

commit c71aac15c9943d4039a75d16764ffaffbdd2f864
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the accessors instead of setting properties

commit 6de05673a166fbb46a366c0be65ec1541dba313f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Tell the Champlain::View to take the whole canvas

commit c051fba707366509b57858901957d6726b5cc01e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Correct a typo in the POD

commit cb8ec414b0784a9433108547bb9d1ea567143e22
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the files in Makefile.am

commit 679b3b171dc38cc24f3e06492cf90f7b11a88dad
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore Makefile.am

commit 5dc3f4d57a977caecd4468ffa77995a17e4a34ac
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use a decel-rate above 1.0 as the current version of libchamplain 0.4 has a bug (See #595552)

commit e2dc4c25a442dd939ff8ca94395bfe0f542d368f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Formatting

commit 52b7ab2aa88f90a2c34d23232ac868eec6ea7225
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a clutter warning when cloning the default icon for pending flickr images.

commit df1ae34ea26d61a462c113d27eb79daff30115f9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Include Gtk2 for Gtk2::Gdk::PixbufLoader

commit 4c2589179a10604c17a4bedad869753b18e34daf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port to Clutter 1.0

commit 87ffd01fc3b2158271cec8042b17121bb181de51
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Load Gtk2 before calling clutter init and don't call Gtk2's init

commit d457c0ea178bde293109bd98212438fcfc36e841
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Give the MapView the same size as the stage

commit ae305b5258e76fa88ca934c142b0fcd21905ab29
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update a comment

commit 9ea821ddbd2463921bee5ff295937649a794ea7c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the test test_ensure_visible by running it in an idle callback

commit 74566398392ec9f62c7bab0979b01d9486edfdf4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Make sure that the view has a size and that it is added to the stage

commit 9dbd4a9e81cebc527fcc9cbda507bca4fe127c2c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Set a defaault zoom-level for the goto tests otherwise the goto test gets stuck in Antartica

commit 80e89fac482a9d367002329bbe2a68722e8d8565
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Libchamplain has now a default selection mode of multiple

commit 4d751b4dda4e077770a7e7fb8ef9f5627c1ee5bd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    get_uri and get_filename return undef instead of '' when a tile is initialized

commit bc99bf28ad1a32262d07e47e0fd0fc4c0629fd72
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    OpenAerialMap is no longer available

commit e4cab1581d7f4b7ba8e27711c244c97f78e8522e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace OpenAerialMap by OpenStreetMap Mapnik

commit c4b5eafb45e222e8f2dcbc1bf6767ee958a29d24
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Adjust the unit tests to libchamplain 0.4
      - OAM (OpenAerialMap) is now optional.
      - $tile->get_uri returns undef instead of '' when a tile is initialized.
      - $tile->get_filename returns undef instead of '' when a tile is initialized.

commit 281aebc9f119b40dd17f0978e00bbcadf76bba9e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update 0.07

commit 67ede569c1ecb1238ffdc2e6fa7174fb1c4c0858
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the LGPL license to the code

commit fe8ecfe41fabce9a8d38ab78fbc185ee1c1b6652
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Remove the Gtk2 files from the MANIFEST

commit 09075b788aca55d4eede7402c9bcad73f562786a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Updates

commit 2eab31182226fea71bbd3b0fcb1e6c899de152ff
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Version change to 0.07

commit 9b216dc0262020ac49b56509f670cf543753e03c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Port to Clutter 1.0

commit e43ec5725f68122ad7ae08062e9c7a3a563c88b9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Don't use Gtk2 as Champlain is now a Clutter only library

commit f1164646d9e3a4d5240f549943e4201035c593f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Require libchamplain 0.4

commit 86d74620e2bb7877b1963be95977a9b4f63f3b3e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    The Perl bindings for champlain-gtk will be in a different package

commit 51169d8141f17a74b28115aab8879ef9343bbaee
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port to Clutter 1.0

commit 910c8dcda4630863d743589b4e5862ec6968be14
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port to Clutter 1.0

commit 02f6e547da170b56eabe82f6735e14e03f7a4ec7
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to load Champlain::MapSourceDesc

commit f2adc842293ce4fe889309e16da706f321ff713d
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>

    Revert "Don't include gtk2perl because it redeclares the Pango types"

commit a44260f72aaf916890aae05ceb38620dbbb8c0ee
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>

    Don't include gtk2perl because it redeclares the Pango types

commit 9a43de3cdd4fef9e3818e0635cb7bdcf78f1c059
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>

    Clutter 1.0 header file is now clutter-perl.h

commit e8939dd08f74ab4bd4f42659c707514d5115aebb
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>

    Require Clutter 1.0

commit 990b8f34997b2ee7752d57e9b16a173b55a996e1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix version numbers and date in README and NEWS

commit 0566060709b5ec025f1e85532e46316f375a0def
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update GtkDoc and remove deprecated symbols introduced in 0.3 and never released

commit 83cae132400df21d076e4406a534d300636d003b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Set default selection mode to SINGLE to match Gtk+

commit 3172c9fafc8e71d28dfeefd1e8feca4fff30de62
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make demos, binginds and doc use 0.4 too

commit feae83c6211d81bb9677db31a2e80922ae908b1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS

commit 329ab16d3395a1ae395d2c55807d98246ccaa62c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 594963: Initial scrolling results in map being in Antarctica

commit ada4b7cdd83a1ad4cc46d11c82d49dc37fd27092
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove trailing spaces and empty lines

commit 2eb53afda1ce30b6b9b9c85e9591b49d5b54fc78
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Pass to 0.4

commit 9a88e9a2195c76a131fe29ef974d7d4ba26a9f91
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Polygon displaying with zoom levels requiring an anchor

commit da9f4ffe8b38c5b7c4e4ff6d13e3b1b10f5e453f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Revert "Get rid of Anchor"

commit 04a025af5bfa83f0b6e73a4341e88286f88a028a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Revert "clutter_actor_set_position can now happen in ChamplainTile"

commit c897259245497520c860f19139c7ae1972c2fd97
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove OpenAerialMap until it is reborn

commit 30e9f1364077d5b144f444c53dd298ae4d3ffe94
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a warning when attempting to remove an actor that has been destroyed

commit 42179582b092272df3e0ac4f69897b986a3bf1e0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Misc styling fixes

commit e49a1100610af9dd69d305328136c86fd70075af
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Review of ChamplainMap, style fix and optimization

commit 4eae2169e9ebc3768fb85cbdb13c44ded2327632
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Review and documentation of ChamplainZoomLevel

commit 1b866cdb04bbd143f4c72801b8c3ee8d35e8e838
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Review of ChamplainTile: fix doc and style

commit 919e318b76c1c2d59227a7f32045ceb58586bb97
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix release date

commit be63621ec00526afa181d986f590e198b6559960
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 0.3.92 NEWS

commit 19cde8d5a378b0b8767a756cc7553b933ba50a39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS and version bump

commit 4e84ba664bb2ed482d7fa8e338a44a29707e580f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix execution bits and python dist

commit 63b4df59d4eb508a866c0552793fbea6bc4ec99a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Port to released pyclutter 1.0 and fix coding style

commit 7e7107ec8f5dc797ab96cb1b7cdd585d74e34c95
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Added error callback to twisted

commit bcfe35a989439bd0d8813e6d404f3b4c7e898f56
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Ported url-marker demo to python bindings

commit 704d7fd8f52512e0c0ffa41cce920e52f1deec4d
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Added new configure requisite: pyclutter-gtk

commit 414e65751d0fbcfb2c89142445ddb7476e42b1ca
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Updates in demos using pep 8

commit 1a3f274f65a8841cbaa4bd5cfa4bab07848eaa26
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Replace GInitiallyUnowned to GObject

commit 273464a38803915cf156e79877d702764364cce4
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Some small fixes in python binding demos

commit b603e6e71bb5c7e37c001851609931f8cc76b251
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Use a true boxed type in ChamplainMapSourceDesc

commit 3709b5ed6623841d6ac40845f497176f90cb7ef0
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Added support to boxed types

commit 2406e6bc8bb8526694d0ef0fd34758d37c6fd339
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Update python bindings for require cluuter 1.0 and pyclutter 0.9

commit 36aae44cd6ee0945167f8c07b88a8cc7f4bed5d7
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Update to use pyclutter 0.9 def files

commit 669d2fc71e3743bc66757b2f9365074021851aaf
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Sync wtih clutter 1.0 api

commit 74c42fd181eec218f6bae6a262f76bd4e76573db
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Actually free the children list

commit 209f9f85b0528063bca9a233da9e6841166ffba4
Author: Felix Riemann <friemann@gnome.org>

    Fix 594003: invalid write of size 4

commit 9e55dab9d1ae3eb100eb8fab6bd307ee0398052d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix memory leaks in ChamplainLayer

commit 97261d34e9e70cb6409ba3c63452be13c4e93f23
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS file

commit dcd42a997d434423488bc854251693e416d95c89
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 590727: Events are not send until the mouse move

commit c800c8d4b5b327a45475875d70018efffe3040a0
Author: Felix Riemann <friemann@gnome.org>

    Fix 593505: Memory leak in ChamplainLayer

commit c53ab294b5d515b5d39418ca1ac346f40297cf84
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Respect OSM tile usage policy

commit a10b73141c25d9ed570392af0b7d86a40c931acc
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 591132: Attempting to remove actor when zooming in/out

commit 6479441c9367724936600569dc9348e39a416e22
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Comment out misleading code in demos

commit 4d7cb996b38062d17d692b768a1481a08899854c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix documentation

commit 8d89dce22288455917c92f0523ee0f6ce8fe0ca9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style

commit 49c3f67aa1b6b51273d3e1057c2611278f08cb04
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Proper handling of GError in pixbuf_new_from_message() and texture_new_from_pixbuf()

commit 79022fcca664907e9cce4b8a7355c045f50011e3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Enable the compilation of the demo url-marker

commit 70501d42157beae4917d9da9e42801fb9d231157
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Even better name

commit 126f4119eb026a8c0be9f69068eb4ba6ebf2e534
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Renamed image.c to url-image.c

commit a26c5ace38f764a710f195bcd95a70b61847ab61
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    ref/unref the layer and close the pixbuf in the cleanup section

commit 8307e44fce368d32fe2212188239d51dcd7d9d42
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Free the GError and code cleanup

commit 8ab2d9a61440f882adf6ef949611276e20b6b653
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Functions allocating memory follow the coding standard.

commit cf1cb60e13766d52b16144337c49cbf51e60d894
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Diplaying multiple makers

commit ab1151c402a2b1bb241899209c35bc981640e758
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Follow the coding style

commit 3756588247357e0499e595f87e811f916fea6513
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Code refactoring

commit 828937764879410cba6425f509edee379c7cad2d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Firt version of the demo that downloads an image

commit 8bf96bc23d752c158f5e6a41e3383b6654de2f7a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add keyboard shortcuts

commit e1c5771b773731b410e02cbde5d56f8a469cebb0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a bug where tiles were not loaded if resized vertically

commit decf392dfa0061ad597b0ffc3a77cce67f981089
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style issues

commit cb8d3b011065434d212b61fe61a3864d35e38ffc
Author: Javier Jardón <javierjc1982@gmail.com>

    Bug 585754: Nicer compilation output with AM_SILENT_RULES automake option

commit 8a7e99efa96c8dd084c352051ec7f2ccb0760c34
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Bug 592096: champlain_map_source_desc_copy and _free are incomplete

commit 8b5983e699eafc7d1fcd577989d02182476babed
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compilation warnings in demos

commit d16c2a202ec24502e4e4a740f470baa1a888cba3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Deploy workaround for clutter bug

commit b01506e3eebfac7419cf1e3cb0662b61ec91fa2d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Final fix for 577592: Use _priv instead of the GET_PRIVATE macro

commit c753a006a28cbaf9ce35dc10d5e9625dd6b1001e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump to 0.3.91

commit 68a05bc04e7db314012eebfdd73fa11ebc3071a9
Author: Simon Wenner <simon@wenner.ch>

    doc: remove undeclared functions champlain_map_source_new_*

commit bba639cc188b45ed0e43eaef2c324c3061c5453b
Author: Simon Wenner <simon@wenner.ch>

    doc: cleanup ChamplainView

commit 57c7feda5292db34a43f67d2d119bf13568a8d58
Author: Simon Wenner <simon@wenner.ch>

    remove undeclared function champlain_tile_set_actor

commit ace1565efc700b5ea6ec5e18e1b2b4b9d0ff54eb
Author: Simon Wenner <simon@wenner.ch>

    cleanup ChamplainMarker and ChamplainBaseMarker

commit d7de9a40d61713df425d3abb2178c7093c1c6490
Author: Simon Wenner <simon@wenner.ch>

    cleanup gtk-champlain-embed, fixes #589502

commit 18553cf4bbe25fbe469d6d7727ac95fc1fbd0739
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Simplify the status label

commit f89aca715f3adfc3aa38fe183769b902fdd503f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add a status label

commit 84ab3f59982c756adb6267c0f0b43284c0558715
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix out animation being an in animation

commit 770a08c6e972a6debc326bb5011082a0bb4637b1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump + NEWS + README

commit 50996d3567fb6c9c9a7342fbfdf492016a5522ae
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 591128: Perl bindings are not provided in the tar.gz

commit 81a75a77961ae32ca27475c9acb26fdfd7ad2442
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Update for version 0.06

commit 0b1031f1bf99bde7cb278e9d299934458f6c254a
Author: Vincent Untz <vuntz@gnome.org>

    Fix 590818: Fix build of introspection data with clutter 1.0

commit bf995be8893ba993ccd69968dcd2878ce028089b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix memory management

commit 5bd6fd4d73d7d2fb57691b91a2ed55a4dc7db3f1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix NEWS numbering...

commit 42e8c54a090f269956de58d9fcc9938063b437d0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit b5856595dad9e10ec640986b6fb061fdff10238b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix NEWS indentation

commit 64e0b0263dbe42c5e08ec896d1602ab07caa39e7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS and README

commit 5b7f0d697b178c4c4d67a028d5da7987145c5d47
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Have ChamplainPolygon inherit from GInitiallyUnowned

commit f5bc3067e1b132c1f0104047335c09a06c04695e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Clutter-Gtk-0.10 dep in .pc

commit 2bd314e7c8c67f165edff2798beb3da6b4eb5c73
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update doc to include latest API changes

commit ea9dfb56c15ff44e4c9863667434fe1145ac96a2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce the new Marker animation API

commit 7227e6aaa2a7c25f5c849871ff239b698acee65e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove dead code from demo

commit f20b4f528bbde1f22e0b09fe34901183fb735ff4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix markup in Clutter 1.0

commit 9e440c7907b7830f2e8cd4cb9cdd2457e669bc44
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use Clutter 1.0 now that it has been released

commit 207371e2a1ff9a4c6faed6e693cc7c2d9098824a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update to Clutter 0.9 latests API changes

commit 4be4f5ea9f6466a50adec91e2e7ba9015595b229
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Port ChamplainPolygon to Clutter 1.0

commit 731a2295f6488a95694ec4741de0c7780fb660f5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    .pc files should point to Clutter 1.0

commit 8b697b0bc069be83989548fe86c8ee3eb94569af
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    clutter_actor_set_position can now happen in ChamplainTile

commit 5eeadcfb6b6f3ad59881958c7b2cf18b964de438
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Get rid of Anchor

commit 887639e8355ff5e4034dcb7a133f320284448c8f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add assertion on tile's content

commit 5630df9e1b66b0284cda71793a65584ae24300e7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Port animations to the new API

commit 118a55dbb5718101e1d3a1e83c690431c611e17a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a precision issue

commit 911e8256dc2fc6d4c526c81d9e75ed1c24c6941f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Port Champlain to Clutter 0.9

commit 4861c5d917d937cd4c7f0406f529c8ff2c4f0b2f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Port Tidy to Clutter 0.9

commit 0ec9d390a008e27c8dfb9b922e9795126a655c48
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Start depending on Clutter 0.9

commit bf014259bd815cf6594fe52b6933e1db0bb308fb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Give more time to the animations during the unit tests.

commit 32efe7e3b386731ae8ae7e7a2a170a33d7ea993b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Provide our own gtk_widget_get_window() if GTK is missing it.

commit 8c9b1fb029cbeda1efd584a631e1e98eb3473c0d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Allow debian's lenny gtk version

commit f75b62543fbccabc00d77ee8965aba9013519bbe
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update libtool version, README and NEWS

commit 6225f0cf9d407f3c03506b581406126c475f6ff9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Git ignore file

commit 1d2c381dbfd9af703a05ead62d031395a34f4fd9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Skip the animation frame computation if there would be a division by 0

commit 1103bfef94aca4772745f9187d00af587d80fdf2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Catch the division by 0 as soon as possible

commit a9ffbb0ed51384ef44886456bc879d01b64702b1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>

    Catch an arithmetic exception (division by 0)

commit 984fd2782f9c02c20d8a4dc02ec82452d54ad243
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump to 0.3.5

commit 79eaed9f99f595afd1506e9ecdaaafbeff677889
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    delete ChangeLog file

commit 2351aa63afb1b373079b090b494f86a60ee0909d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    README, NEWS + libtool versioning

commit 14f6c6d0e287edd15876c0d81fa599b6a447728c
Author: Cosimo Cecchi <cosimoc@gnome.org>

    Fix Bug 588224 – Does not build with automake 1.11

commit 265f602433fcaa82089d0377e80cd6816c4009e9
Author: Simon Wenner <simon@wenner.ch>

    Fix Bug 586157 – libchamplain-gtk does not build with GTK 2.2

commit e61a206874e6ef70da76fc0c84123fa1f00c51db
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add missing pychamplain.h in dist

commit e6fe34d3d7a9fa12efa5eb3510fdda2e05cd625d
Author: Frederic Peters <fpeters@0d.be>

    Fix Bug 585854 – Make distcheck required --enable-python but doesn't say so

commit 859994f87736361c4c6c6daf6a176a2cf341895d
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Update python binding

commit 1bfe31a06a706f156842a3583637b43d52430bc1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the release 0.06

commit 57ab1ac208fc3e3893bdc332c3e7372c91712ff4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Clear the points when the polygon is disposed

commit 9253c4b40dfb690337848d9999466e5378029efc
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove a TODO and test that clear can be called twice

commit c7d2e9aefd6b119655ddc25848283a149cd48b3c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a memory bug in champlain_polygon_clear_points()

commit 5deccefc6e835e50f11cfdfeb86fd0112e04c70d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Coverage for Champlain::Polygon

commit 9cce2c87b6a9f95c4d605b95f8ff6493b847745b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the semicolon in XS declarations

commit a2a6a84345a02c3944f1d792a3c8120ebec42675
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Coverage for Champlain::Marker.

commit 64b29a0f28fc0ae5808030b0234fd2ebdf2729bb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Coverage for Champlain::Layer.

commit e67a5947fd9ea395af90f39e3026bac8d496860c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement champlain_layer_add_marker()

commit e95fa27ca32ccc573a38d6d211eec67e4813b610
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement champlain_base_marker_set_highlighted() and champlain_base_marker_get_highlighted()

commit bd3e6d13c93360d95e23deb692517ce99ac9a8a6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Hide some of the Clutter API

commit f2fb54846069d163a8ec1758184eb6859c3ec2d9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add champlain_polygon_remote_point

commit 6f7f60f15fbe37c946bbb9a219ac7906f83984f6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Simply prepend the markers when selected

commit d6b1bbcd63d97673539c9da2030cd7933e18e9c3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The selection calls differ if they are made from the GUI (with the mouse) or through the API.

commit e6cde7885974b6773b9cc3cc475d18fabdecd450
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test switching between multiple selection modes.

commit b6eb1bd953feba9fb2c4adf8d8a9185fe24842fa
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test reslecting already selected markers

commit b9bca02570d13cc5b09b377152569a54adecea7d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use a SelectionLayer for the markers

commit d90297eed1f72ece8697aca2abcaa25632f2c620
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test calling champlain_selection_layer_select twice on the smame marker

commit 12d353ed2b5f8a963fab976fc0dc6362c3919076
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for champlain_selection_layer_select_all()

commit f524556546fc25f826c1358f83c8b541172ef8ae
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test notify::selection-mode

commit 559464db4a6ef7afa927deddab760de966f3f19f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test selection in single mode

commit 4446c6aa4ce3280409088df256946706d991853b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the property selection-mode

commit 4725f56559e17523be6f2609e8882631ffda4bb8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the Enum ChamplainSelectionMode

commit a9c20f31905889fd84b957158193e69efb3b3d29
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Scalar context on a XS method is too strange

commit 1b87cfe2eb5423a0b5f131a2823861706ecc3148
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Complete tests for multiple selection mode

commit 953b47468b50d39afd540ddc350e17554fea85c9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    get_selected_markers() returns the proper count when empty in scalar context

commit a3dc6f065acf08de73ac42938f6c5138bdd3427c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.06

commit a1f1d457290c3b27dc5bd4d0258767df0d7cd6e1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Return XSRETURN_EMPTY if champlain_polygon_get_points() has no points

commit 3bc917d09a5a72ac80ed8e4ea5c66113e05365ac
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Basic implementation of ChamplainSelectionLayer

commit 044b08f5e42ea0a3419354146364901dcc1d1369
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Set the highlight color to use Gtk's selection color

commit 0fa51eb3441b50483d1dd5672dc20bff3247c5df
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix behavior in multiple mode

commit 8456654633ff2fd8013a60891548ace4390da408
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Eat selection events

commit c2b099262534a813b8eddc4a4956f08a74cc5966
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Unselect All when clicking around markers

commit 8bb3f911b0b812e9ee2a749d6e3bbf42549ab4b3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix double printf

commit 51f07091719dd0e1a9f9669a2dcca0691b7df5ce
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Switching to single selection mode clears the previous selections

commit 8c9c621a7744a5a00a6d68c83edf16e7cde00170
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement champlain_selection_layer_select_all

commit 149c696b35c25f04f2b7d228e241c4745c56f856
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Documentation formatting

commit b4d44f3adec742aac9e40eeadd34020996b788ec
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a typo in a comment

commit d8d4c26e38f056f1a618fa9a806e45d066d4cf06
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Emit the notify signal selection-mode when the selection mode is changed

commit ba630bbf5b30751d5d3aabb2a9fe7ec1fe28bec8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix champlain_selection_layer_select() in single mode.

commit 2b86484d884567eeb84484d7b490bf7338bb7987
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the property selection-mode

commit 26ee3028504e3b3b293b2401f5fa6726be3565ff
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Highlight markers and fixes

commit 836a39cc60d1c9749b6f73d8aa8c21cb72015e38
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add selection debug

commit 6930eb4c8c6723374c29128b10a7043d32e15a5f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add highlight possibility to base marker

commit 20c2f583780aeb4d0e7b09219b8c56ce4b896af9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement ChamplainSelectionLayer

commit bf91bd5cf31342dfed7dd2442a8bf28cf426e9db
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix styling

commit 932969d834a51a2989061193549691e86ac76568
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix enum doc

commit a050f6471293b2ab6da9260d57f67ec6356ee98b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Create ChamplainSelectionLayer

commit b23fb0351bf4c8bb06770f8500e231b23856f7ae
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test Champlain::MapSource->fill_tile()

commit 0cc37b19a7cb0be1b7addd98ab123b3597790227
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for champlain_map_source_fill_tile

commit 9fefb91cf772fc151171a4cfb857357136b34d02
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    set_view() is now static

commit 375760ca077a2f43e944e72675095b224668c4f3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_map_source_real_fill_tile() is no longer public.

commit 7cfe6919e4e5f7b71664050c19382464f65a7efd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the test for tile->get_modified_time()

commit efc0466e8476d3ff0d760505ee422f1489a091fa
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Better handling of the arguments for $tile->set_modified_time()

commit fbefa509a1a0b423f20187f093788ffb1d54477a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Unit tests for the missing functions

commit 7841d5c67b2cebcb9a6c76701eaefef4b3e08f8e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add coverage for the missing methods.

commit a430e262c8d9a9739166b7ea9a23d9b94646a71c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use gchar instead of char for champlain_tile_get_modified_time_string and champlain_tile_get_etag

commit a0841972d92b3ed184bdb21ad816dd061d7b2a3c
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    champlain_tile_get_modified_time and champlain_tile_set_modified_time are now covered by python binding

commit 7ae8087be240b3773a73d0b9ceb97bd513537dcf
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    More user friendly error in python binding configure

commit aae1fce880c3364c4bfe74737e10240456506d29
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    import cluttergtk must be the first import

commit bb597b9b32556bf86bf9d3909f6a757311f06041
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    champlain_view_ensure_markers_visible are now covered by python binding

commit 132606358f6832b8cad9f83ad35f7184f4d568e5
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    import cluttergtk must be first import

commit 4a8f13468b76bbf00d876245488a1e0c1116dbcb
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    New python binding demos launcher.py and polygons.py

commit 9ae0fca4aa9cee8520e50b9032fb2bae6b0919f3
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    camplain_view_get_coords_at, champlain_view_coords_from_event are now covered by python binding

commit a94fa7a212530ac1d7a1ae25977f0463ce304810
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Using AnyEvent::HTTP instead of Net::HTTP::NB

commit f2d083d6bf9a16f02e5efbea4283a992178503b6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Show no more than 10 images

commit 1197b3c74606fce4630e474719ee1da896f9f6ce
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New example

commit 89f909df01c0b7574add2ce5d1897f8fc03a3a44
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.05

commit fbc905db7c984eb9cecf4deeef7afeffdf0b38a0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New image

commit b739186e412cc5357d03d51bd0bd4ee8c638833b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Updated the documentation

commit 6e203c2e8fe978f621666769c4c9a19a91eee665
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Show an intermediate image during the download

commit 8a502e6d8a8c8a9a1d2f0350e7afef83290d86df
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    White space formatting

commit 4d7f3010dd47ca0e6316a9f0f75c08a870792be8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New demo showing how to interact with flickr.

commit 376f4aa1863305de6242a12b3af65b40f3651677
Author: Tim Horton <hortont424@gmail.com>

    Add GObject introspection

commit 92a53cdf0a0c53a8a666b548c24070e1218ab193
Author: Sebastian Reichel <elektranox@gmail.com>

    Add OpenStreetMap Transport Map

commit 6e3058df141390771fb6ebcc2cc8284acb36202b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Set the polygons list to NULL after the free in champlain_view_dispose().

commit 9639c6186df817fda1348b403c48504f8d36493c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix some memory leaks.

commit de9dd5f014f299742b6cb5bf641b01112da6e789
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_tile_set_modified_time() takes a const GTimeVal

commit 41be4553778730ff53e610d60218ab142b51cbdc
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Time variables (GTimeVal) are declared on the stack.

commit 5ae169833922f9b78545eb9437f377ba66f3270b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Free the id when destroying the map source

commit a10568b7f011af5f2a4f00be873ea0e2daf62e05
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Time variables (GTimeVal) are declared on the stack.

commit 76a0995069528f60ad662c4f557f8698af351445
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the zoom-level 8 by default.

commit 6129f3f65b4cac9fdeadaeb952c8d14e100dd3fd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Free the polygons after being added to the view

commit 28283d72c83f29836777dcf037084386dabc0173
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a leak when disposing of a view that has polygons.

commit 2d58f2b2e674f2641b43df51edefc413a2509eef
Author: Victor Poluceno <victorpoluceno@gmail.com>

    Provide missing methods champlain_map_source_factory, champlain_polygon_get_points, champlain_polygon_insert_point and champlain_polygon_append_point

commit 2de0f5fbca9dc72380eb48400508a93e0f03ea84
Author: Victor Poluceno <victorpoluceno@gmail.com>

    Added defs files to pango types

commit 701cbd931f206ffcab128d41631764c1890548fe
Author: Victor Poluceno <victorpoluceno@gmail.com>

    Python binding cover all champlain-gtk module

commit 875dffa5e2dd1f0f87878f7f9f268b210f183773
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add missing author

commit 35632e1e37792bd3df5a7a288a01c26c354a045a
Author: Patryk Zawadski <patrys@pld-linux.org>

    Fix Bug 586024: Makefile lists champlain-version.h twice

commit 554fbf33ff16541a51045c848cfe70f45bbc116a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update 0.04

commit b72395c5a3e2837865ebff62a8dc86f5622f960d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test that all arguments are passed to the constructor

commit 515d70e0a23d1c4bc9729455851857c25119f874
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Pass an extra argument ($data) through $factory->register($desc, $sub, $data).

commit 32715a7902360b964eae33f21af326278f4301d4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Using G_N_ELEMENTS instead of hardcoding the array size

commit d2a2edb9167e5d92af2b50bf84392bf5f70da7f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the arguments passed to the MapSource constructor

commit eb605aec2a467c7776df1f7a44a034bf44f9c3e8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the first parameter type in champlainperl_constructor_create()

commit 39c7e0e2a460c20e14d59343300d26562c058ba8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Code formatting

commit bd08e3fa497e94a0bea238cb5ccfdd30a1b9ec7f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add a TODO to the bugs in libchamplain

commit 51c5dd3f2df85a2bf267307570385aa95fe20f4c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the entry for version 0.04

commit 54c0bd5bb9f3f018511347711d263d2a9a437916
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Increment to 0.3.4

commit 7ef9ed0c1c0313f2e45de6f63e0cf9312b53e43e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update ChangeLog, NEWS and bump library version

commit 7203a3511d4b031d0b024f9ec680fa880b7f4329
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix libchamplain-gtk not linking against libchamplain

commit 853e16ab96a6dc7f721400ad7a86ed2bfa402995
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Properly finish the pending goto animation during a dispose.

commit 589705e0c7879ce1ca47b3c68a490b09a99052d5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Accesors/Modifiers for Chamlain::MapSourceDesc are now without prefix (get_/get_).

commit 1da5449c8da8e5ab7e83557decc3899fca883a1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a warning on remove_polygon when the view is still 0,0 in size

commit 41b34d7880f9719b08785d13378540be93d138fb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Redraw polygons when their properties change and points are changed

commit be984bce3a34f50ac08a9608a3c83a019c2b95b1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Testing hide(), show() and the properties closed-path and visible

commit 9406502ca1a6428142249f15ff5eb12c8c072796
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the test plan

commit d3d4cd1ddc66e4f538c6227ceb73aba3acaf917e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add examples/polygons.pl to the package

commit c70e1e4f6038e5daa2f4cb3612d360075d9a5e4f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Increased the zoom level.

commit 1e2731fd67431ef6ae4d2beaa63b5809c5619db9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add add_polygon() and remove_polygon()

commit a298cf145b9eb9ece4d658ba13c5f63a9680679c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test filling a polygon

commit 6536ce325c4c2bee659a73bf41b1f8fb7b1bb538
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    More unit tests.

commit 78e2139ddb84b7d19c74bcb94ccac565148255d2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Updated the documentation of is_color

commit ead5119ed804a1e100d29c2de6cdedee45340b99
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for ChamplainPolygon

commit 39ff4fc36419fba8aef2ac31fd9e38fc96cc9a64
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need for Test::Exception nor the maps constants

commit b5b44316868e3738c43fcda3d1e87715dcd3d3cb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for ChamplainPoint

commit 765a5110609089527cfb85d8f48514d237f5782d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix very wide shadow actors

commit 533de1a720742c75ddde5b5797a41cc594673a78
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix markers reordering if marker's position is updated after being added to the layer

commit e11a07d51e03f51cca74701663566c4e857c4762
Author: Victor Poluceno <victorpoluceno@gmail.com>

    Put python binding api changes in python demos

commit 59162af692820cabe6e6d98d136e5f45eccdeeee
Author: Victor Poluceno <victorpoluceno@gmail.com>

    Sync with last champlain api

commit 1daf776ae6093af442db78712958daa53431dcfd
Author: Javier Jardón <javierjc1982@gmail.com>

    Fix Bug 585698 - Use accessor functions instead direct access

commit 08a0534f58502412697909b273c658ffded2179b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Set the current zoom level in the zoom spin button

commit 2ca89a76bc4185b4b840256f676c95dd43992d9e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a regression: There's no mehtod get_state in Champlain::MapView

commit f527fcb59afa17461b4bea089887b02ea805f8f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace t/Gtk2ChamplainViewEmbed.t by t/Gtk2ChamplainEmbed.t in the MANIFEST

commit d828b016efcb3dee52a75d9795c43e34a126cdb3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the API of 3.3

commit a167b57860ff06b17dbb635f0dc28a4c75e0eb69
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add uri_format to the MapSourceDesc, it is now required

commit 532722188f2430f2826da166b241ac926b071f38
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::MapSourceFactory->register() works with an hashref

commit b8dd170e06bc40ff7e31f02b093b5c835855f23c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Testing the new API for Gtk2::ChamplainEmbed

commit d3781090c2e56c9ec54c5ef56dd0115a642d6701
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Testing the new API for Gtk2::ChamplainEmbed

commit c22e99a940e6d50300d8cfeb8b97961bf8cbfcfe
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace deprecated method names (dup_default, dup_list).

commit 721350688d4af935530abe842aef3033c2cd3164
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the error message given by set_constructor()

commit 16c713b85a0e7c93f6d805a96173f4190bc4ac20
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    XS file for Champlain::MapSourceDesc

commit e2cae53df11a91e535a7c6a840efca5c4df54ab8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the properties uri_format and constructor.

commit 612026decf32fa29c9baccdb1a4157bfd7d82444
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The accessors/modifiers are now done through XS.

commit ac4295792ed1ca4cb547f615846d8d97bfdf94e4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::MapSourceFactory has accessors

commit b58d461a46a2ae1608a6ec49cddedf07d605afc3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::MapSourceFactory->get_list is now Champlain::MapSourceFactory->dup_list

commit 2a65c0a1d5e90d1979472996de9ae15334b76f82
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Map names use '-' as a separator instead of '::'

commit 319c42593a984490dd100c18e1227c96204e89b1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Upstream changed the GType for GtkChamplainEmbed to GTK_TYPE_CHAMPLAIN_EMBED

commit 92c3ebc590d84201cffe97eaacadc0c1dfe6077e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Rename Gtk2::Champlain::ViewEmbed to Gtk2::ChamplainEmbed

commit baaa26c52a8f6a292430b96f7e9422187430e48f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Rename Gtk2::Champlain::ViewEmbed to Gtk2::ChamplainEmbed

commit eaa0e8f5dd2d012455943b8f9cd55dbba8c630a7
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace champlain_map_source_factory_get_list by champlain_map_source_factory_dup_list

commit e718e74988637c58234238707b17ec611267a5b8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::MapSourceDesc is now a GBoxed type.

commit 5d3bc7706f34fceddc0f0277e4b00d7bb72c85a4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Allow libsoup to use more connections per host

commit 576e4e7d94f21a9f3ed2d84d08552987269e0f53
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix array usage in ChamplainZoomLevel

commit 766cfbc9b6c4e5ceb03359ba7ef76762f1b58380
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Abort any pending network requests when the source is disposed

commit 6829713715127ef3cd93b648637052d780b91a6b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Ignore some new files

commit 73bf2e0c38bec7b794378a9e28aafd26b3c3f3eb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Stop any ongoing animation before disposing

commit 035de2850839271625b2521f3c850d66c7c36b8c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add guards to ChamplainMapSource functions

commit c105792068c1424b43e13574628a5467ce7774c2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rename GTK_CHAMPLAIN_TYPE_EMBED to GTK_TYPE_CHAMPLAIN_EMBED to match Gtk's

commit 7ef2e565f6ca8f8a349b861c1d93674eed1a1bb1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make the cache expire 1 day

commit 2762557b862b99ee4b195b99a0eec91118cf9055
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Register ChamplainMapSourceDesc as a G_TYPE_BOXED

commit ec3eb158cc8ee6d85ca9b7a553f22e988210e52c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rename ChamplainViewEmbed to GtkChamplainEmbed

commit b788d50d8c433efdf62add4137003de3d16e7385
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make ChamplainViewEmbed create ChamplainView for the user

commit 3bb0f26a11bcbc8fd7184438c6e078c6898da3b2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make it possible to create ChamplainView after ChamplainViewEmbed

commit c9ad2026772de5d35eeefc67a6a8eed8ce8fa72d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584149: libchamplain should set the user agent on libsoup

commit 4eb3a42980d7ca6681665aa137fcaa42a0611832
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove non filename friendly caracters from map ids and use them as directory name

commit bee0880850542260b409f320de98e26e83e21d0d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add parameters to map sources constructors

commit 7133a29950f14d980c68ec3809395bec79d864b9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Don't invoke gperl_callback_invoke() with the extra data gpointer.

commit 7181e2ffa02b1f1eb6688538bdf1cdbf9e96b832
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the registration of a custom map source

commit 2530906e3f114c8f1e353f02e52b56256fa36269
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace all map constructors by a generic one.

commit cdb0494f5447991830b4b2ce39441a957af61c44
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fixed the expected license for OpenAerialMap

commit 448f417f185c419d0ae5d008eaad1b74e054f663
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The predefined map sources have the same in formation in the desc as in the map source.

commit 67af29606114d9020b410e6a0a35e5413f81cbe0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Map description is no longer copy/pasted

commit dfc485a814b0bf0a99a5a88a6821b95762d51633
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The type gpointer is already a pointer. No need for gpointer *data

commit 5090bef2f73f52db6904569def97a478f83a918f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::MapSourceFactory->register() works with perl code refs

commit 5a530fb5d29b4baf5403c2a1caed6facb5d65f21
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Set the gpointer data of the builtin MapSources to NULL

commit 51af729a0126d19dd3771ea393606dd6f34a2ebd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_map_source_factory_register takes a constructor and a gpointer

commit 539037f755f350edc078c47304ed182ecc185ad6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    gpointer is already a pointer, no need for gpointer*

commit 10c36e424e231c8b0e6f0b2c3d2a3a55d32ac564
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    ChamplainMapSourceConstructor is more binding friendly.

commit 7014a8ed1f8869a37bcf121ff0e92a6fc5656d80
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Reintroduce deleted functions and mark them as deprecated

commit 42a702f704e40b580c955f21f13da1f49bc62377
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump to 0.3.3

commit d37cf4bb9cec1c284e081e463355fad88c255b42
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    get_list is now champlain_map_source_factory_dup_list

commit d47fe504b420e333dc1e2316685938a69b5362f3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix ChamplainPoint gtk documentation

commit dd545198432bf94a2442b5e04344a8af335711f9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix configure warning

commit 2d262c091fa0c99b7fcd4de8a7c6be31b45bd447
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Define ChamplainPoint as a G_TYPE_BOXED

commit db0e34146774b928cfd8559eb15575d9274dfaee
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix ChamplainPolygon documentation

commit c975748539b47aa06bf7b7b124746cbd6f7f6524
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Resize polygon actors on ChamplainView resize

commit cf2c24db4a63ac5d7301b39442588247d80c2bf6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Have each ChamplainPolygon have their ClutterActor

commit a0356d04496a5d3ae4bd70d7469adbb3e866a21e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Refine the Polygon point API

commit 7dba387a066533c807e6d349dd0af2a2dcce6d6d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rename Line to Polygon

commit d158f8c917653b6567c10593280abb57d65d5a5c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Better line demo

commit bde721fe7b558a03fd4980da19d290405c8b0941
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement fill/stroke color, and stroke width

commit 1d87f129b70a933fdaccbdf9006fa9e36a0f0969
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Get rid of double set of default values

commit 486bd88cb1f806bcc0717b8961a0ac744d8e99b4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add default stroke and fill colors

commit 5d5736d6d65af8601cb6abc0e3ea90681477d480
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    FALSE is not NULL

commit 27a6a4ce4fc4b58b4fa0aedbc627431a57c42b9e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement shape filling and stroking

commit bbc090e433995f4befe38a9b1aaf4148b050e7c3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make the view draw many lines

commit 0997ebec1ce628862c5390dc0df4baed994d3caf
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Draw the lines using Cairo

commit f1d0cd196826a3eb23bfc91eff1a9f9c4db8b8a6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce the API for route drawing

commit e65e3eca6f2b830fc7b73b58a09f1689ca999b1b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix error tile always showing up when no network connectivity

commit 9b591c8a22f8c609f6e78577a46952fa467c84e5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style

commit f44632794efba1f8b900e4bdff7822d174adff27
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Rename Champlain::MapSourceFactory->get_default() to Champlain::MapSourceFactory->dup_default()

commit a97ed2e99d1643102e8ed63578b5760cac08cea1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add DOAP project description

commit 461f62b75f01c077bca63a3855678f124d529dfe
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Rename Champlain::MapSourceFactory->get_default() to Champlain::MapSourceFactory->dup_default()

commit f20fa96ce9e728c0e694a4e7d14dd3c04d0d6ebd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_network_map_source_fill_tile is no longer in the API

commit 14b128b56a9277695915d0c7d002f4c5a6c3b223
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Synchronized with the API changes made to the singletons.

commit c5d8527fcd167eedd4556fa606c645e7bd702cab
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584775: build system installs "uninstalled" version of the packages

commit 456ba40fc484f814286cf5c25e156fd78ec684be
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 583502: Center_on can be wrong

commit 8cac8c42f15a4d07bd0aa8c95fc2ee729828d6d1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584368 for ChamplainMapSourceFactory

commit 040d28796a1344608cfd96000688effc219ce1fa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584368 for ChamplainCache

commit e4df9b62c6ec3a285fcec005f5cf163e2d07cf75
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584390: Cache doesn't work on first run

commit 18f6f4cb97e65873a0a5c34257585958f6d8daf9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 584365: "longitude" and "latitude" properties are reversed

commit ca2bd06b327e9b0a3bde75b4f2390a986ae0b57f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style

commit 67ebb49dc04174705f54a6a571e282d197fb178f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Also unref the previous level

commit cbdec7a35fd9bf9d3a729756dfc3f706db3c6f3a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement proper dispose and finalize functions where needed

commit 55909b04f10946e4bb5ca9c3e7fe397954a5c4b1
Author: Stephane Delcroix <stephane@delcroix.org>

    bump version

commit f57f6e8fe335c43cbc8d7822255284f8ad481046
Author: Stephane Delcroix <stephane@delcroix.org>

    drop the dep down to gtk# 2.12

commit c872668a128e9c7b4a7ff3991b43387a357132af
Author: Stephane Delcroix <stephane@delcroix.org>

    prefix factory ctors by Create, not New

commit ecdbf84806780b54a0f11890bbb5ec6a86389d9f
Author: Stephane Delcroix <stephane@delcroix.org>

    updated

commit 7bd8a8f786397f068d1006ef1719ffb7bfd2424b
Author: Stephane Delcroix <stephane@delcroix.org>

    hide the private properties

commit 5f0ad4b8100264b4b0b5e79f385455443da3c405
Author: Stephane Delcroix <stephane@delcroix.org>

    generate ChamplainTile

commit cf12851d53b3ff18c64d1b67f37f0350f6a7dcc0
Author: Stephane Delcroix <stephane@delcroix.org>

    no longer hide ZoomLevel

commit 08bcc88c0821c01dc446fedb2523c2fa9ac45c8f
Author: Stephane Delcroix <stephane@delcroix.org>

    reparsing api

commit 75191c9a2566738853895bbcd30decfdc6b2358a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fail if either libsoup or libsoup-gnome are not found

commit e6b11274fe63c08223bb88be8a7802b283af0963
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Actually show is not working, realize happens in every cases

commit 2001111130c39fe87ed7898af8ec5e9f475a89df
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    The window has to be realized (on show) before setting the cursor

commit d06b8ee90eb6aaf7fb95a0981ba145deb120967d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Better handling of corrupted files and correctly report if the tile was loaded from cache

commit 37b32fb7bf60cf8e895ddc84ab2979eeb8c762de
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 582786: champlain_network_map_source_fill_tile should be private

commit 4e81d76ad02eacc420c65e14d22c13fe5669b889
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Generate the correctly named pc files

commit 15fb768ebde36942ddf8d497a287a17dc7c556cd
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add comment on name

commit 05462f56167cea69ec6de181558627730a16a274
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix .pc.in files to have the correct paths

commit 8d473f557d18dc7853e768ad13d4d40644145fa7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 582448: Should provide uninstalled.pc files

commit da6fe49c08831988992e626ac93ef83b80eeb335
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug: tiles without etag (in cache db) would always be reloaded.

commit 674603dfbe4cb9036ce334ef00d2198abbd293ce
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove trailing spaces + coding style fix

commit 0230c826fc569fcf7fca9231c2010b8700c78acd
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move the popularity incrementation on idle

commit 659e138ae80b1784cf7b2844759874870e5a6fe4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the debug used for profiling

commit aeff76a220a1e95c89105bac6fbd7a5596fa2d42
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the SQL error messages

commit 808d69afb7e14a05444a0da2d9f31b034f1cc467
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Safer sqlite3 calls.
      - Build queries with sqlite3_mprintf() instead of g_strdup_printf().
      - Check the return value of a "SELECT sum "in champlain_cache_purge.

commit 31db98c6ec7a80f044e61946aa113d298d643257
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The popularity is incremented through a prepared statement

commit e638076d46829968a82440f26ca52c25a15a33b6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Better error handling of SQL errors.

commit 0842bffbcac5cfa61356caf7296b1f7b2bef15da
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use a prepare statement for fetching the Etag

commit bad07eae396af53561b52f9fae2bc4ecb237d99a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Using TEXT as the data types for filename and etag

commit fb4880272d0b5468d70a3518f48d851742777076
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bug fix: get_modified_time_string() fails if the time is not set

commit e6c09e50a8d6e16b563823199b739e44275af912
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Create the getters/setters for Champlain::MapSourceDesc

commit 608d3c738ef546ccd2b470d7bee24c02ce5c11f7
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add t/ChamplainMapSourceDesc.t to the MANIFEST

commit 22e96870ced8f5618361beb822d7bf586eb43ce9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The tests for Champlain::MapSourceDesc are in ChamplainMapSourceDesc.t

commit a48c84e75bb3d492d1b53c9322963c629464cb64
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Tests for Champlain::MapSourceDesc

commit 5595a725161bfe5294b6ca1e73999f02ef773d80
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the map constants instead of the long names (namespaces).

commit 26c27a581964d72d73700efad0b94891cb15d75d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the MapSource ID constants

commit 01f18b493afaf6bcdbbdc05d8969c38f4e593913
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the VERSION macros

commit cf604c22d69fba90d587d25c3317602311c38fee
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Now running 81 tests

commit cba941336f1548cb109837aa5bede0f8fa7e814c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to unref the loader in case of error

commit fcb5efd6d5d405f5de937c981911606175bbb447
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Documentation updates

commit e3761b48d0bd9007229874d4f840a78219915a85
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Reset the factory instance pointer to NULL if it gets destroyed

commit ead6cda7f5f2f99610dcd3eb398aa3820c1f14f4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    libsoup-gnome 2.26 works also

commit 7af589b492bd430700fe3820ef4e118abeccf278
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the reset of the font name

commit c60c4551c441c5cd9505bd629467166f121cffcf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_marker_set_font_name() resets the font when NULL is used.

commit dcb536e8441c24452b180d8f67c4e4ab7c5a69f0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Accept a NULL image for champlain_marker_set_image()

commit 3db73c37a01a6e1668a3e5433f8739b2e6f414cf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Reset the colors by passing undef

commit 3f8dd19dafdf1ee2848f445a447db2cf4d9ac174
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test set_color() and set_text_color()

commit 4d2e26b53cc515514b42c8ffe0872f9bddc2ba04
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Allow NULL to set_color() and set_text_color()

commit c5289758ce0de337a73011439c80cdf3646bb929
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Reset the colors when NULL is passed to set_color and set_text_color

commit 34257736e50abaf8918dbcd93779e25315648b77
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add documented but missing symbols to the documentation

commit 1f0a7c2675c85ed457f4d9b591ef1bfddec3e38e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the new getters to the documentation

commit bf6603b26824a1f32077e0d28e5bc379b5220ee2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New getters as in the bug 581786

commit 3f12fbfc115fcecfb29c569d7a1dbae4a5a9d8a2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add tests for the new getters in Champlain::View

commit 84ac7d755bc8e0bbf74d651e68337d888f35e377
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the check for the default height

commit 6c7ea806a738855d43c0814c8cc3dc04d65ea248
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the version 0.04

commit 8502a5c301f2d2a8468cacd830c9db55b98ce57d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New examples and one unit test

commit 51ae6b92842bd230628e484398548a6b58ed206c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore .gitignore files

commit 440684914c1d8743ecc743276c7e6bd197c0a034
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to show the tests in a window

commit 6da7d14ba7506853af705577b0a860721491fe69
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Simpler SvChamplainMapSourceDesc()

commit 571585c0d64c4b9884091e4957d2fc67efee0d0c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement champlain_map_source_factory_register() (constructor callback is missing)

commit fdfb3df4d1f8672d5a1115ad7bc75c59df64c549
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the release notes for 0.04

commit ca2ad3fa55083924ebc0f12a888724fcfea354eb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the dedicated setters instead of set('prop', 'value');

commit c21d78fa105d0e56b1c8254776fc34e54ff8fe75
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Better checking for the current position of the view

commit b0bb2d5d5c3bc5b27b955898b15dee21efd5f106
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the tests for ensure_markers_visible() and ensure_visible().
    Tests using animations wait for the end of the animation.

commit bf05437db502de0e6e3de8fdd4e1783463bd2251
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement champlain_view_ensure_markers_visible()

commit 9609049818f0b05227443a01be2790873fdd28d6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_map_source_get_tile() is no longer available

commit 1477b677f3f9a3ed99a77b193f4e881bceeed0d0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add get_license_uri() and set_license_uri() with unit tests

commit 85f93a5073a65855b63ad5556daffa107b136341
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test get/set draw_background

commit 9e08c8e766c5bedb8615ff59e0f9e545131053dd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Rename 'wrap' to 'background' (as it is in the doc)

commit 73c4ef7e8179e5462066add77a4078a5711e9217
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement set_draw_background() and get_draw_background()

commit 5a8d329ddbf45af52c40965b1fcac02d8f1d2f6c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Formatting

commit bc463704f4586fb3cc73f56de08c04370fac2ae0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Works now with the new API

commit 426c3d13a0a5edb386b950df348a38fb1d083e4e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Call ensure_visible()

commit f8f096d84aa7559c7b91467901ff9fcfb603ea35
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test set_show_license() and set_zoom_on_double_click()

commit 088d089ad78a100e029680747cd42efb68341f1f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test set_decel_rate() and set_scroll_mode()

commit 1dcfacb299bfbc9ce425d1dcd72e2d94265584c8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bug fix: reading the property "decel-rate" causes a GLib-GObject-WARNING

commit 5791da2f8ca50afdd35110db92c497a0f928355e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test set_min_zoom_level() and set_max_zoom_level()

commit 6540b5015c145c7c65060a30ecfbaddd7bca56d9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test get_coords_at()

commit aa6abf4b980e4ee4d4da8d3e7901834b5008720f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add a lot of methods that where forgotten

commit 3bb3ea3c466388272ff6dc3b96e9322475fba9a1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the GType of ChamplainScrollMode

commit e2fc701a1e4c8c5cb7bb49df6f321bcc80bd7a0c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the default view size properly

commit a32cab51f09f45c89f6c3c77568a7ef3b7e05a89
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Implement SvChamplainMapSourceDesc

commit 55d4ad709d3667578bf16c5b35bf0e1d52cb7a8d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the contents of a Champlain::MapSourceDesc

commit 81f2cfe9b82fab85b316efe6348f95e20f9f1a81
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add newSVChamplainMapSourceDesc() and implement get_list()

commit 7f41df5c02b78519b2ff07f83eba3d2d0f3cb8ba
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Hand crafted macros for ChamplainMapSourceDesc

commit c0a1b8f02faa8f3d1ef174c578cb9061a39c8ec4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the macro CHAMPLAIN_MAP_SOURCE_DESC() for nicer casting

commit c1a9a42036873c48e9bc881cbfdf1f58ca7edf01
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Removed some memory leaks in build_combo_box()

commit 7f9edb669aa9b693082fe11c2696a6ecdf2c02cc
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix compilation warnings

commit 65403e5003b0d3229a9d22e9d7b0f51935f2e16b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix leak in the python bindings' map source desc wrapping

commit 827995f9a0e3aaa6bca043553cda97f9c5ef1b00
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update the Python bindings to include id

commit e1c1585f9d6b5a2a26b32bceafb20abaf7c395d5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the factory for creating map sources

commit 0ead7dcb062fb590dabfdf859c23e3d7ce0fc83d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the id and the name of the NetworkMapSource

commit 8a525a01149fe2d8ae8c912d888b52b94fe5ac19
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the id of the map source

commit 3d2cdfc23a58ad8ed31b9670b8352d575c7ee58d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add get_id/set_id to Champlain::MapSource

commit 424cf628e6233a6805d1133b7eedf91039a6eadd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the testing of the map names

commit c8e7b367d13d0b7e908f9dabeb04b61de2948971
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Document the parameter @id in champlain_network_map_source_new_full()

commit 1930a9a519e8618180c000e1b209d1b0f576f6a2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix some expected map names

commit b6e97305699f0b9a2f15e39708052e0e30b44573
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_network_map_source_new_full gets now passed the id

commit e065c61c2d85ac2d7a016b028ebd4815d6017e2e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    More specific .gitignore files

commit 8c34300fea35289c103d73fc4eabf36a7c1fede2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix a merger

commit 5b5ff68d0fe93af16d0c97e7f292589ace5b09c2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the factory for creating new map sources

commit 461aa510100502119da9099c13cc7ac9b7742b54
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add ChamplainCache

commit b7505083f50737555a5b83787257ac1adc314f44
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add ChamplainCache

commit 1deccc86f6d9fabc4ed6718c965d26cfe84567f5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the name of OSM_CYCLE_MAP

commit 3ab2e34fda50d2a4ff972a1916c844e052b19518
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the constructors as they don't exist any longer

commit 4546c77fce18cb7c2a6724f71125a21985bc0091
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for champlain_map_source_factory_get_list

commit d80b8ffb876c6e7b5ba2e8aa1ea8b2506ca85486
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the file t/ChamplainMapSourceFactory.t

commit dd5ceff3fb940d65cfcd204247ec7c6136e0e559
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the constructor call.
    Fixed a typo in OSM_CYCLEMAP.

commit 5e5deb2157b31a290c6b4570d19d53ffc2c1943c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the definition of champlain_view_tile_ready()

commit 26905004aeaad67fbb19c24667e0c458cd746127
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove set_actor() since it's no longer in the API

commit 0c7fc36bd9760f66da64637aa2f8907e91a00a5c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    API update for the incoming version 0.3

commit 3f623b4761ab9ccbcad457665690dadf534cd0fe
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Comment methods that are no longer in the API

commit 57133b4edd549331e12378ceaa361717dec5ceae
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add xs/ChamplainMapSourceFactory.xs

commit 0170728da8aced0e0f48b38b33852e2752018bd9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New mappings

commit dad60229bcd63e4052b64a9baac0831f9d546764
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Formatting

commit 5c41853031d06256ac7a9e2205217fe62f7946a5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add get/set projection

commit 30c97942701af1c259c23d25f70194510b3c9a34
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the constructors as they don't exist any longer

commit aaf1b5fa1a7e32bff00a826de361213d455ce4a6
Author: Mike Sheldon <mike@mikeasoft.com>

    Update python bindings to support new ChamplainMapSourceDesc API
    Update launcher-gtk.py example to use new ChamplainMapSourceDesc API

commit a79dc89fd5df68e44f814601439962a9469a5965
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix project name

commit e85d367a54f2ae21eba641df9efe04a756d7ad06
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix champlain-gtk doc

commit 99b10244878a69b645aeaae552934e4876359a87
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bindings distribution

commit 62ae8ceac1ed464074cf9478a055f5158a2638eb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update NEWS for 0.3 release

commit eb743746a89ef9ce8b47d0a061f89e7750cce3f0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Id to ChamplainMapSource

commit 059368e63d53e8ac3b2b8cbca49402f8c8474f90
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add 0.2.10 NEWS

commit d6e67f45a15d31740a2061906ae5bdfdc570804a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add small documentation fixes

commit 9a3d16b464b25ebaf02ccd63d3306f9c93e1620b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add MAINTAINERS

commit 24e565228504e75c8ab2e5a77e1cf1da2b23cf39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix documentation generation

commit 04e154d9fa3f9faa7158fdaaff6d87ae65d4ab0d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainMapSourceDesc to list available map sources

commit 25db465eb1d6e1091f56ae9aaa0ab9f5fc6bb2a7
Author: Mike Sheldon <mike@mikeasoft.com>

    Add support for wrapping champlain_map_source_factory_get_list()
    Update launcher-gtk.py to use new map source factory API

commit 04ed6dfa03c332698f67d94ebe481f2fcfb1db92
Author: Mike Sheldon <mike@mikeasoft.com>

    Update python bindings to support new API

commit 64b8d6e2696ed338a8ba461e971395b693c2a713
Author: Mike Sheldon <mike@mikeasoft.com>

    Add DemoMarkerLayer for creating demo markers
    Make GTK Launcher a proper Python object

commit 870785f808df32e2842e96e0acb542e6c01162c1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a bug where shadow would show up for image only markers

commit a4fcbf25c2ca6f5f476f611726a3a9b9f273c572
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix typo: OpenAErialMap

commit 77dfef58240c23a92c1a232d32055538d628ae6e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Complete MapSource documentation

commit d6abdac03a87cd6945482df22fe2d6257adee788
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Improve documenation of base marker and map source

commit 2e925cbd7933ddfd66313da7646c9c9ee57ed0a4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainMapSourceFactory

commit af02acff90fd679d62e780151792a51dec6716ce
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Generate fill_tile documentation

commit fdceb3568c9e149ae6668857edb30bc38dd4b87c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix BaseMarker documentation

commit d86e5fad004492b3d2ee7e2dc5323344750f3f78
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Continue API simplification
    Since the fill_tile doesn't call a callback on the view and that
    ChamplainTile already contain the zoom_level information, there is no need
    to pass the view and the zoom level to this function
    Rename get_tile as fill_tile as you are not getting a tile
    but filling the tile with data

commit ebde18435afbbe983cdf2ba057d847f1c8a6cf75
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update documentation

commit 6182cffcbc02aba0f6ce3f55d9e5a560b9eea75b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    ChamplainTile: clean-up and documention

commit 1d1c41912fe480e6e8688de6386bea4b9607397b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove ChamplainZoomLevel from public API

commit 1aa981bd7d02650833dbe18218c1f8144f3d38fa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Improve cache doc

commit 7be98e9dabe11362e86192f63116a1b7f76a2d73
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Substract the highest removed popularity from non cleared tiles
    Without this the tiles that didn't get deleted have a big head start
    on the popularity side on new tiles.

commit a39924468115370eacf85ecfc97ec8189b55deeb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add cache documentation

commit dd02b1d85175756beb7eafde774cb05112fb7b9e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement cache purging

commit 28175a8bdec54ced11b5b76cfe27df50c5f9847a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add CACHE debug level

commit 4f396042cbc287c7b522b52d2f7f18da0a7bdcb5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Finally get totally rid of tile_ready and friends
    Tile are now updated on their state change! (as it should always have been)

commit 4e700f7e9d8202af2b788c0ee6ac22cf7a2f9d8a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove state update from tile_ready and friends
    This is a first step toward getting rid of tile_ready

commit 2c3a6c2df34b6a0de8f4a2f28bf79e1439edc306
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Merge map_load_visible_tiles and view_load_visible_tiles

commit d924a7e7d402b82401b4af42ab9fbe9d4efa0043
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make the tile_ready and friends private

commit 0272a082918d8a4f8c12b71b7450e547990b7c7d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove debugging

commit ac9a9b7dd8adcab3346790ae453d7099b5107137
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix tile's update on screen when no new data to show

commit 0f0de222620c47b9691447dc6971c093fe397a84
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use sqlite to save the etags received from server

commit d9887a4fd4119fc9d103173776dd947635e5d29b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainCache to deal with caching tiles

commit 278bc22c1588b65f83c099d35b9df56af568e84d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Send and save etag
    Current doesn't work as disk file etag isn't meant to store such a logn string

commit 27ed64f16556c1e86d09b2fc2faa25b0f5129008
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use If-Modified-Since to check if tile is up to date.

commit 63f37d8c51ff1beee8af0522e0dc5475935287be
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a champlain_view_get_coords_at for x, y in the view

commit 22ae6b27fbda6472835d32bd15aa3b6878cccaa5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Allow NULL to be passed to champlain_marker_set_image
    This is effectively clear the marker's image

commit 6a8a7cf6d6441bf13094bb6e6131d0a23d0823ec
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Reset the id for the redraw_on_idle when done

commit b0143567000f8463f9411496c28df2988e8990e9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 580785: decel-rate of a view is not set correctly
    by inversing the conditions and making the param spec consistent.

commit d46242afd0445ae7cf1b05cf5be3b8d9daa02be5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 580371: demos/launcher doesn't start at the right position
    By retarding the creation of the map, there is less operations happening
    before the initial display, which in turns limit the possible occasions
    where the lat,lon can be skewed.

commit 13de7bc5d3a1d1a2af5197b2468eea12c61daf58
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    MemChecker: error when freeing a color

commit 8149173609a01fbcd93ab599897739af72071315
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    This file is autogenerated

commit f99211d069ceeaf32c781bdc97dc756c1f99f09f
Author: Debarshi Ray <rishi@gnu.org>

    Add G_BEGIN_DECLS and G_END_DECLS around headers and fix email address

commit 199876baab6867808575fb28cc12c70ac7820e6b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't redraw the marker each time the properties change

commit 30c6fd4fa72f0ea3d8651ba2824555644e092ad5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use the gnome icon theme for markers

commit 2f5a807c5a198c26c3c9c0d2c92490ff96eb0d3a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement marker shadow

commit b31507f6963af7d606a7d53cdecb5b3197276d1f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak fix: file_loaded_cb() now frees the actor if there's an error

commit 8c3bbaf46d40902580e6f80f3f5ff0ea424bb409
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak fix: map_free() noew frees the map

commit 4c721253dff91de1d6146a7fcef84d20df98da3c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Initialize priv->map in the constructor.

commit 188c785aca05ebac68544a67b35b7df2e2085411
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to set zoom-level min and max twice

commit 7b9894e408d7756510076f89cdd0315040615d28
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak fix: g_string_append() doesn't need a duplicate

commit c0731a16f788e02aa7a7c8180f26dba3eb045b38
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Made all references to the word "license" consistent in the file.

commit 83fb0825011b039e7b36035c5ff163bd74342731
Author: Stephane Delcroix <stephane@delcroix.org>

    prefix factory ctors by Create, not New

commit 432205b9be16673ffefe8d520694332fe80899f9
Author: Stephane Delcroix <stephane@delcroix.org>

    depend on gapi-2.0 >= 2.13.90 (r132561) so constructors treated as static factory methods can be renamed

commit 7ecd2073471f1af8516d6fcf258f203e94d7e321
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 575133: Position lost on zoom out (from level 7 to 6)

commit a99508a7bbdcb858af1da8dcb7fca2beba243ba7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Finish the fix to bug 573037: Support proxies

commit 87f588c52936570d2c579c6683a125be3d910023
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add vim swap to gitignore

commit d2dbde18de2eb7df0f1548d772dd4da7a06009c8
Author: Stephane Delcroix <stephane@delcroix.org>

    Update the managed bindings

commit a5bf83810f1077056258ddf48f263072577aa9dd
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>

    Update the Python bindings to have ChamplainBaseMarker

commit 1f0bce819d168e86d487d9af4c304d242bec01cd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak fix: priv->uri and priv->filename.

commit 97c34f5dcb1d9bb7875aa79937264250d3fa4239
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak fix: priv->tiles is now freed in champlain_zoom_level_dispose()

commit 70cd20f8685aac9650805bba2eb5fc524b0fc8ee
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leak: priv->map is now freed in champlain_view_dispose()

commit 80246bd68c03727cfe6cda03c32742ec51860664
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix minimal clutter version required

commit f5caf8e8979ffb40b7e3881cf634902f5b9b9bfb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory fix in champlain_network_map_source_get_tile().

commit bdc3f97e15015e8577ca062ec57c53195e72fdc0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix memory management in ChamplainView

commit d16f8108965fedbacb86054547f2272328823e6f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 576832: Any go_to should stop a previous and not yet finished go_to
    Also refactors zooming at specific points in the viewport.

commit b0e7e5944c985f4da52ecf29c223ef6949f80a86
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to create/remove a marker

commit b11e985266979f5d31b50c87bcb4463a7b03f012
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Memory leaks fix

commit d84016ae4096290946148b0f0767ea7a6ca55ba0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Improve gitignore

commit dcd4c07827d3e8ee9586ed12088735065311fd92
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The constructor new_with_actor() is now named new_with_image()

commit 243b6768b8259548be34f4a48a3c6423c38fc70e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Example that shows how to use a image that's not from a file

commit 63afe8792c80f3d73d578143b99585913cb1fdcb
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    new_full() doesn't throw an exception

commit f6ab5ddb615c1b7c7eebf78069044339caaf76f0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use the new constructors new_from_file new_with_image.

commit 74b549bd859ebc7addbb60e4da8fa4d4c90e16dd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    new_with_image() is now new_from_file()

commit cf6cc8d9a835dcae927722bc974a339a4e279f9f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_marker_new_full should not have a GError parameter

commit f04cf9cf2cd837faf3ecf76fc5b7eb7ce9467996
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix the new_with_image constructor and doc

commit d85eabd8749a5fcdbecd588bec7e34ba713cb217
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Change markers constructors: new_from_file, new_with_image and new_full

commit f0a31be8e4983a723b6f3c4be4280c99d5129293
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need for PROTOTYPES: DISABLE

commit 840dc8524b1b5f25b4df3873791f507fabb9063a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::Marker->new_with_text() gets passed only the parameters that are defined

commit 6ca9efc8072e49666ba43a734f9b1351efb23320
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    C_ARGS: without parameters are clearly identied

commit 83b3db3e96dc0a72138460ad4b5e78ce22fb0ddf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Champlain::Marker->new_with_text() takes optional parameters

commit 680e33bcd09d2c26ce12891b6cfc4d9b3c143ccf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Using a ChamplainBaseMarker instead of a ChamplainMarker

commit eb3df1bfeb6e15bca51b96f04d3cf3500e7171a1
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Adapt the test to the new markers API

commit 6f1eedf3d6340e7a5ee52fcdfa95fce5c498f55a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove undefined macro

commit 3862e9a5ae037ad312fb27748bbad7c768218c89
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Replace OpenArialMap by OpenAerialMap in the test labels

commit 478c3c42ad20f823475c35e1b964ceb20a93dd7e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Correct a typo in OpenAerial

commit 3d2a5730971c5688e712ade969e5378551c59d66
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add a title to each section and remove private objects

commit d699bdae50149e7027338b08a9372585a1577da9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add champlain to the documentation

commit f7656931b415615ecbfd7a34aa3d1896d760eeb9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix broken titles

commit 63bebafeb54352632e42949cdb398c07a901abbe
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Register the property "single-line-mode" and fix the doc.

commit 85efe54558e4441c56e83bb165dcd3a4691aff6d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the release 0.04

commit 3875cbe7498ff0722ab99dfbd78ad430816a6e75
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Testing the new methods

commit a7ad43c86e76dd105e7988c3dde76efb28586f7d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    set_font_name() can accept a null font

commit 05106302e992b8da7d7dc2b0db63f447007fae9a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Test the new constructors

commit 514be9520a8e2213f356401c49101e3be72af0e2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bind the new function added to libchamplain

commit 253231cd20ec1305fdb31718c4bc7bfc9151625a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for ChamplainBaseMarker

commit 7c8bd2fe70e3acbd014e7c185e46590d963a3091
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix the single-line-mode property

commit 10da178d2b098e807476d305c60dff7c61cdaa19
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    launcher-gtk should use the same markers too

commit 0f2c3ec26a547ae946ec9f753d2c97ac02c3284d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    More useful marker demo

commit 11e98d13f7a70060521a049d64139b4457ff521c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Flip the marker if the alignment is right.

commit f7a0d7b4780ed13e7a220a1af44389cbd7ee83e7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix usage of fonts

commit 503ed61c9ad98828651243d9e40638a49bd72161
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make the draw_marker overwrittable

commit 16fa2de8bff3e6c1591d55bd513173a0961ad9b9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Have all the demos use the same markers

commit 8357f6b21ba11297d6415ce61123a30d64fbc3c9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Better memory management and don't redraw on ClutterActor::notify

commit 0420c92cf3aa84af57d3f79700e07d9c889a9b80
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update demo so that it shows many type of markers

commit ef90dcc5cd2084362f10786dd1bf59e48afce814
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix up right corner

commit 6f3a02c995736269bf726b0ca7650277c3897686
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainMarker:draw-background

commit f3d0f3057182761f9f8af40b2afe6c54812bd842
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Code simplification

commit 7ca61f03e24da569729ceadd9b738710457dc8f1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix padding

commit f0af4563602e99e7449fbede973a4ef94b57134e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compilation warning

commit 9ee1d218340ebec771c6d0ca994b6b33b8fe2433
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Have the demo use the new markers

commit 2918cc3459334b323cb47bf05f8542373b2b76d3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add rounded corners

commit aa66cdcae6d3bbdc3197ddd8e7226760c6f30ed2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement images in markers along with text

commit 6f4c6867024bec15dd40dc74faebae86d31d8842
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a lot of properties to markers, and have it change if they are updated.

commit acf2621a3903ee2b44348f116d4b603ed9b89725
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainBaseMarker as a parent to ChamplainMarker

commit 108eaf3aa8effcc603ac3ecfb66e80e65edc657c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix coding style and remove hard coded values in the new error tile

commit 8b28b1a6e8b9d7cce65e2e7f00ac10712707549b
Author: Simon Wenner <simon@wenner.ch>

    Partly fix Bug 577591: Adopt the new coding style for champlain-map.h
    and champlain-zoom-level.c

commit 34833e54129af09e8e9aa8a3170fa8a7f7b4ddf3
Author: Simon Wenner <simon@wenner.ch>

    Fix Bug 577666: Replace error.svg with a cairo drawing

commit 263f726911450642b6e5e4ad5b2598685d72de2a
Author: Simon Wenner <simon@wenner.ch>

    Partly fix Bug 577591: Adopt the new coding style for champlain-layer.c

commit e9762245988c0e174f00c11f9c9eda71c5f0b6ea
Author: Paulo Cabido <paulo.cabido@gmail.com>

    Fix Bug 576860: launcher.py demo should be more "pythonistic"

commit 9a9a76e8b8964c324df4e9a6349c08b803e5f92c
Author: Mike Sheldon <mike@mikeasoft.com>

    Add a python version of the perl capitals demo

commit 96d985c3cbba05d4847c29bb7eabaf8490761078
Author: Debarshi Ray <rish@gnu.org>

    Fix Bug 577592 for ChamplainViewEmbed

commit c0f0752586f69f072e8c92eaf866b634c97ce147
Author: Debarshi Ray <rish@gnu.org>

    Fix Bug 577592 for ChamplainZoomLevel

commit ed7268351883c9d20964093cc23ee05b66adaa75
Author: Sjoerd Simons <sjoerd@luon.net>

    -export-symbols-regex was set in AM_LDFLAGS, but this got overridden by
    libchamplain_0_2_la_LDFLAGS causing it to not actually have any effect :(. Fix
    this by putting -export-symbols-regex in libchamplain_0_2_la_LDFLAGS and
    removing the useless AM_LDFLAGS.

commit 8bd344cba4e7d558cb5313b11b34699fe0d82447
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The next download is started one second after the animation is over.

commit 3da086820b890fdb84cca6d868d7a29d32132544
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Include ChamplainNetworkMapSource in the doc

commit f28e97a3f5fd9f603dbeb180c36de10dfd4c7f3e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Partly fix Bug 577591 – Adopt the new coding style

commit 3ff7384494fb8a90433a3cd38853ad4cd9b997af
Author: Debarshi Ray <debarshi.ray@gmail.com>

    Fix Bug 577592 for ChamplainNetworkMapSource

commit 02d54aed5154e238ec3c910709339800edc156f1
Author: Debarshi Ray <debarshi.ray@gmail.com>

    Fix Bug 577592 for ChamplainMapSource

commit cbd87d4b5911f9a8f0a48a1cd8ab708c39093e00
Author: Debarshi Ray <debarshi.ray@gmail.com>

    Fix Bug 577592 for ChamplainView

commit 7e431d747bbd2e01952a83480016723213d574ef
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a forgotten file

commit e7b4bc9eabfe2195fad2b6f2792a3866fd6ef8f6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainView::animation-completed to be emitted when the view is ready to receive new commands

commit 13c11e27c0b5a2f0cc7497186f8e84f5aed70b11
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix doc generation since files changed name

commit 1d4e3aa240f3012df80c59ed554591cac1f068ab
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 576677 – Demos are not compilable out of the tree
    by removing config.h use in the demos.

commit 75b73b2730c0bd2aa117d4ea6966d9065651937c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 576695 – Missing "Index of all symbols"
    and update to have the new objects

commit 7fb3ef3237ace4489ed7e7f3a2cc0c0169b831ed
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 576680 – Introduce versionning functions and constants

commit 92095ffb5ce43a387611853b94f42e40060a1255
Author: Kritarth Upadhyay <boyzoneblues@gmail.com>

    Patch to partly fix bug #576680

commit 5d4b846d7a44e69ccc3eaacfcd7279ee9bfb5414
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The current capital has a different color

commit 8f2edf6d2b9f4a99c76a0b5cfd891bd701cf5b12
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Smoother animation.

commit 77c1f7ed08446fd0d00b64827e8580be54564ff8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    use Clutter;

commit 738606c152d3cbe25257b238f6213301fde751c3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    HTTP request with Glib

commit 42b8f91ef1be3f083b5271ebd42ad645fe06ca55
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Refactor zoom_in and zoom_out to eliminate code duplication

commit e48d9481ee702b4de5b7a6d18741cbc619404d7e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the changelog for version 0.4

commit f8ed2c927dc5f69fc3b1f0d31c14f40627b2fdcf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Unit tests for Champlain::ZoomLevel

commit 78701904e6df3853f581905f5abb6f19735c3cd5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the changelog for version 0.4

commit cbc2701fab99a43b4b9487b28ea83de2274ebfb6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add go_to() and stop_go_to().

commit 2916fad44cd62c8fd52a19c82360e401aae040f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the button 'Home' using a go_to()

commit 12607f423716139adfa4f571f608ae4e4f57d3c2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Formatting

commit 67b9435f685f7b36782c4dcdc6c0515f8507af0b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bind new functions.

commit 23b0c087db0fd69a28432373f76778168fb6d4ca
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Simplified the unit tests.

commit 48574c0beacb1aaf23eba922a2934888096a6282
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    champlain_view_init() calls champlain_view_set_size()

commit 612e51584b532e47a4f42b2abe1fba4ad8da602a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Remove the test $view->set("zoom-level", $min - 1);

commit cf7b3b0fd5678be55ed23de4728bd70591f560d3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Testing set_zoom_level and set('zoom-level')

commit d7dec84d35638d8f8e2180d500dd0e0809bc1603
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Zoom tests are done with a staged and unstaged view

commit 04d19bbbcdd265113caa988e8d20fb318a5dd0bd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Seg fault fix when changing zoom levels on a view

commit 94806e9b34e3521b933d7d90f35b09800bf6cfdb
Author: Mike Sheldon <mike@mikeasoft.com>

    Add an entity to refer to the current programming language
    Add a C version of the initialisation example

commit 38b083ae333af64fe3a4f5f347cab697f9e9876e
Author: Mike Sheldon <mike@mikeasoft.com>

    Update champlain-tutorial.docbook to use xincludes and profiles

commit f03c0288a1bb546eacffa6d872570c13b38ddd4a
Author: Mike Sheldon <mike@mikeasoft.com>

    Switch to using xsltproc and fop instead of docbook2pdf/html so we can use xincludes and profiles

commit cc041e24c94cc0d362c6380faf463d27fcd30653
Author: Mike Sheldon <mike@mikeasoft.com>

    Make it possible to have conditional text in the tutorial documentation for different languages (C/Perl/Python)

commit e75f3866829af56999e785160346bb59cdefebc1
Author: Mike Sheldon <mike@mikeasoft.com>

    Initial check-in of tutorial files

commit 6f0d4815e8b7926477ae98a0b487dd499ca55768
Author: Mike Sheldon <mike@mikeasoft.com>

    Update the python bindings to wrap the new set min/max zoom level and ensure visible methods

commit bfe73e262cec52e835c81b40cee394c4fe27f5c0
Author: Mike Sheldon <mike@mikeasoft.com>

    Add gobject.threads_init() to launcher-gtk.py to fix crasher on some systems

commit 67dea9b376ca7bc1773444ea267b3b842ae6b17e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove dead code

commit 491a979167aae8c47684ad0fb718a65596ee1d2c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Cache expiration creates an compilation error on 32bit systems.

commit b6aa94fa94bd961f63d9b9b5705984f5cff6c35a
Author: Lionel Dricot <ploum@ploum.net>

    More intelligent ensure_visible (fix bug #576831)

commit 31133064e1b44bff40ed639cf8df672777ca7fb9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.4

commit f084d4457bedc7aeb369b232933c878a13b88011
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The marker is now animated

commit 63c2b91c5751cb777faadc9fbee2984726b9233b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Reload tile if older than 1 day

commit 8a77480fc8e86bb980d4b729692a94bec79cea02
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    A line was deleted by error in the previous commit

commit 245252bb940148bd174a20b79dcf7c3d274da9ce
Author: Mike Sheldon <mike@mikeasoft.com>

    Fix Bug 576698: Segfault on 32bits platform
    This assumes that tile numbers are at most 3 characters long, which isn't the
    case. Resulting in "g_sprintf (value, "%d", number);" corrupting the stack and
    causing the segfault.

commit dceb47309019bba16dd466dae766177f10653be0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix patch to cover zooming with mouse

commit 3656e643e99e5eff65668c7687981deb0a941c3c
Author: Simon Wenner <simon@wenner.ch>

    Partly fix Bug 571702: Host application should be able to limit the maximum and minimum zoom levels

commit 7124f7c3c4a36e7d42bb51cd9fe47d76dd98efc9
Author: Lionel Dricot <ploum@ploum.net>

    Fix bug 576733: animated-marker.py not working and not very pythonistic

commit 45ba627d08f268d3f0ed61625aa4715321a6d2b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix memory leaks in champlain_network_map_source_get_tile_uri

commit 01775df407182344e26c4a39bec90595e6bd6324
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Actor clean-up

commit 76b34a87944dea6128953d175042ac779a21b572
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Unit tests for osm_osmarender and osm_cyclemap

commit e767a5cfb97eea1998a714ae5bc3774baa85dcfc
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the map sources: osm_cyclemap and osm_osmarender

commit 9ac3f74ebaefdc5c7c594b9b36e28f4afecb77bf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port of the C demo launcher-gtk.c

commit 0f0f3487ff5c465a21465b2648e36be266c28ab5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port of the C demo animated-marker

commit 24b7b8fab58b027cbc5c5145df8c61e40d34b4b0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Translate 'cercle' to english

commit 8a14aae186c249ad9c7acc251dc8fe9504aa6099
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Port of the C demo launcher.c

commit b3f08db2f46d0d9208fdb37b0feba36506c75b7e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add bindings/perl/Champlain/xs/ChamplainZoomLevel.c

commit b25a9e61cb5720204902cbf36f2c5731dcc1c0b8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the new tests and xs/ChamplainZoomLevel.xs

commit 296d8fd1a8fdfd2ed22a8b543f65fcfcf6db17b3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Use an image

commit f611572da1e20669b19334d2223faaa405c65ed7
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    New unit tests

commit 22987e413d3e7979e816d259d798d1b7f1dae2b3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Images for the examples

commit 6d37726c92b8b4808458605744f4b90222a94787
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bindings for Champlain::ZoomLevel

commit ca759abf37d06dbd76576270189c8a5c3684884c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Strings are const

commit 123307e08a7d6367007528661076ba349d07c157
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update the changelog for version 0.03

commit df0744ab5fd3c34e3d22e7168c36d8a615f09ee5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update AUTHORS to inclue Emmanuele

commit 3320c92ba4b1be7ba6dbaedc81c0ffc099ba0fe0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Added t/ChamplainMapSource.t

commit d3a29f6a42979a79256a1b584f524720599bf9f5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Unit tests for Champlain::MapSource

commit 651e19fdbd6b1bc84a511dd0f22b2eea476c4148
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Unit tests for Champlain::Layer

commit 9c542e69890772e5ecf7ad2580fcae02742c2f3a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.03

commit 09aa68eb1edb0c60109f509503a85aab03a9d2e2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Return types are constistent with the existing XS

commit c534b35572925e45831fb542054764f344ab76e9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Removed the FIXME

commit 13d3aa89d126d7e372c547927515652379d496f3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Code indentation

commit 67c3c147bc421840c4419e365b1bcbbc39e9b57d
Author: Emmanuele Bassi <ebassi@gnome.org>

    Makefile.PL tweaks

commit b09f3c869bf507eb0d95b88fb6d85f5f48da29bc
Author: Emmanuele Bassi <ebassi@gnome.org>

    [pm] Detect darwin and change dl_load accordingly

commit 084b3253bcad380e306cfb1f74ccc81047da53bd
Author: Emmanuele Bassi <ebassi@gnome.org>

    [view-embed] Use the right types

commit 1cc91c8f5c7f09e76e4635a24a149c0172c067d3
Author: Emmanuele Bassi <ebassi@gnome.org>

    Always include gtk2perl.h explicitly

commit 5ea8148c6171e6f1e0045d011c664cdb5d40bb72
Author: Emmanuele Bassi <ebassi@gnome.org>

    [maps] Fix the ChamplainViewEmbed GType

commit 2b05a3b409abbd43bdf2fb9fbd1ca89b714a0d74
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the GNOME bugzilla

commit 237446ff7c04114c821c4d5d4ef1908a2f888eba
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Update to 0.02

commit 034dd5fe5ea83347929eb2f6fcf1988fca7b9ce5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Pretend champlain_view_embed_get_view() takes a GtkWidget

commit 0b288bbbf952733265722dff9f24be255da03147
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Ignore the files used for building the Perl bindings

commit 32d849e8ea2a941baeac76548bfa75f8abe289c6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Added missing entries

commit 006834cc69515c9c94282b07b8120d4067ecb857
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    The rule clean removes the build folder

commit d3ac13153b7affac06d7bf5a0422d22e7f20be4f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Version change to 0.02

commit 3252b4914a127da2b34c927fc97b163d1cc34a60
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    No need to include "ppport.h".

commit c8d4b754fb316cf620dcd8a933e3e9886103d878
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Move the include file around.

commit bef215275c663685fe8a80500247eb3f19c02756
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    First argument of gperl_croak_gerror() is now NULL.

commit 741689b0eae19a1a2afc514f2fa8e9f8425b1901
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Manifest complies with the current files.

commit 76f2a895470cfe79feea77cdd78c30aea3ed03cf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Add the Perl bindings.

commit 871b4f3ee8865ad56a9cb576e6a8e59e183f73f4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix warnings when removing a loading tile.

commit 9976b53b3c7adc5803d7420d04fcd026ed1700de
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Tile ref counting

commit bf6d3dc48110eef06e9b878939a3422ef84b360c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Memory management clean-up
    Remove the actor from the zoom's group
    Unref the actor after creating it

commit d442a20a90e3f5482fd6135bb84911f7db9bd325
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix actor's reference counting in ChamplainTile

commit 12db909f23912c6751ff27c3ef4444ad66047eeb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 574809: Provide a way to make visible a bunch of markers
    and make the go_to animation more sensible

commit 620ce8a111009217be4ca7231013c13aa85b6477
Author: Mike Sheldon <mike@mikeasoft.com>

    Add pychamplain header file forgotten from previous commit

commit 9d8cefa2debeb631ec0a0ab62cc70f9c83924d06
Author: Mike Sheldon <mike@mikeasoft.com>

    Wrap champlain_view_go_to for the python bindings

commit 3b360c41f2d6169cf9af2cf0d071f3e38238f0c4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Get and set width/height don't have matching types

commit ca818400a8cbd866f5a317950166ebcdf57e8437
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 575139: Corrupted map when double clicking at max level
    Even though the fix to 558020 also fixed this issue,
    there was a slight undesirable translation happening.

commit b98671512a8e6dc20ad89f9f4e12cc3bb63fa308
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 557641: Smooth movement to a new position
    by introducing 2 new functions:
    champlain_view_go_to and champlain_view_stop_go_to.

commit 238fd84029c86126f6a873d02e095736f96b0e96
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 558020:  Unwanted wrap effect when panning at zoom level >= 8
    Recompute anchor if needed when panning too

commit 3a21958f5a5ad4438a2eb98456d25dea5a66f369
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move anchor computation to a separate function

commit b297c6a7bb459fe5a4418a6420ddafb47162aea1
Author: Mike Sheldon <mike@mikeasoft.com>

    Update launcher-gtk.py to use new API
    Add label markers to launcher-gtk.py

commit 6b05910fc0c51db5207abe810cb39e23ceaa3d20
Author: Mike Sheldon <mike@mikeasoft.com>

    Update python bindings to support new API changes
    Disable wrapping of zoom_level_set_actor as this isn't implemented yet.
    Start adding markers layer to launcher-gtk.py

commit 6c02b4ef87f121c05bf5a4e1989a8333ca738d54
Author: Mike Sheldon <mike@mikeasoft.com>

    Update python bindings to support new API changes
    Disable wrapping of zoom_level_set_actor as this isn't implemented yet.
    Start adding markers layer to launcher-gtk.py

commit 6562f39e61b227e87d07b6362942cfb687630e2a
Author: Mike Sheldon <mike@mikeasoft.com>

    Start adding markers to launcher-gtk.py example (still needs LabelMarker refactor)

commit e47ffcd55aa4e34b3883502b94da72537a307bc1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix virtual function
    possibly fix a crasher happening only when zooming past level 8

commit e2cb9855ddbb6616f93b06d69735d99c375135aa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Assert and return_on_fail should be && not ||

commit 66cd3ce75f403542e863b106b9a321817052542a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update the ignored files

commit e79d3e751742edb841b56d28debeb03259c7eb24
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 576206: Getter for the properties latitude and longitude returns wrong values

commit 1dd0d0ddbcd53ff8ca56afc137312ffe060bc486
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix Bug 576204: Properties latitude and longitude are registered are not double

commit 341c6b45bfd1186f69f01caeea1cf5ba9b8edfa9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix Bug 576159: Various memory management fixes for ChamplainTile

commit 06d510d2e89038b4abb4098c3d5d5443d80251d6
Author: Mike Sheldon <mike@mikeasoft.com>

    ChamplainView:actor is read-only, should not have a set function

commit 00a6c784515ec29b69f36d15335ea8a127678a52
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 575601: Return const gchar* insted of gchar*
    Also took time to review the gchar types in Champlain*MapSource and
    ChamplainTile.  Some other non const gchar were found.

commit 04e940bd9ac33396a444beed8ec8fda1580df5d0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix Bug 575903: Memory leaks in champlain-network-map-source.c

commit 06d9bae9cdcba064e54f444e121695a44eb79402
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix Bug 575902: ChamplainNetworkMapSource crashes when setting "proxy-uri"

commit ed97de42e20f3f2eb68c36572ed72ffe98fc6f23
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Fix Bug 575645: Properties enum has same comment as the signals enum

commit 299fbe65b548349424ba0c22c6f7c6796aa63b03
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    The inherited object should match the class

commit 4db5b2d2296cea4df977967ffb4291e377473e11
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a ton of criticals and warnings if the error tile image is not found.

commit 69a646a50f1359292961bbc6d849972def95abce
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 575140: launcher-gtk ignores zoom-level on startup

commit ff82b113d88ffe2ebe63ae6799fb40f9ec8ebbac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 575138: It is possible to zoom below zoom level 0

commit f113cf6377b1054bb7b82642be74c8966a013387
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add buttons over the launcher demo
    based on questions asked, this was not clear how to be done.

commit 362ebe56628741e799abd5ba0985ecea6d1001b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add support for OSM Cycle Map and Osmarender tiles
    Aslo fix a bug where tiles were assumed to have 3 bytes per pixel.

commit 5fb17b0ec21b8bfe662fc46228b99b0bb3edbc5d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix state never done if network error
    On network error, the state would stay load as the tile
    would never been passed to the view.

commit 2cd29d192deb9d01642cb3f4ae82df1a98295f2e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove some left over temp values when ChamplainMapSource was introduced

commit df6a2d229af79da6052d13a85023d92a09e5fdda
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 559522 – Lack of user feedback during loading of tiles
    by adding ChamplainView:state which changes state depending if there is any tile loading.

commit d4e2eba49f793c4a9dae920b8505ab494d4eb5cf
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix regression introduced when ChamplainMapSource was introduced

commit b2b22722d09cf6c8e7d1a48b345a3e70b988029e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 569984 – Current position lost on window resize

commit f1b3964182b81a5f7084d965b41914a1a5249bbe
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix demo to have the click on map demo!

commit 4c890b38d8e63cf894fa984c78699182ea26db54
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Allow disabling zoom in on double click

commit b50a88b4cef96959744d7f4fba28aa4887160b79
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement ChamplainView get/set

commit 29c3d5df328571d41b80222c41c1a999992d5861
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix setting proxy-uri after the soup session has been created

commit 1dd9cb8d3a8cefbe8520946aa71076a936891644
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compile warnings in the demos

commit 7ce2069d962966c97aeabe07952f459ae144f7b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use a more specific object type for add_layer

commit 777195b58229af7ba7f522fb43883c1765fe48a7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compiler warnings

commit 91a63e4b6029eebfddf872bf005a499cce3db948
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compilation warnings

commit 208c3fe0b1dace51a933e0e27832a488b42e640f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix warnings

commit a486c845b86af76bc2cd2b12c732be0d217d628a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Build with warning flags

commit da77617a4a30f0b5cf0ada2165f6e726ea0e1c3b
Author: Stephane Delcroix <stephane@delcroix.org>

    hide the private properties

commit eb5571849026789b66b78890bd123fcf89614557
Author: Stephane Delcroix <stephane@delcroix.org>

    generate ChamplainTile

commit 54110c2f0c2993b9f9e63ab7e9013a52be2d1f63
Author: Stephane Delcroix <stephane@delcroix.org>

    no longer hide ZoomLevel

commit cac5d38ffd46126d270d94f203b3052312d10573
Author: Stephane Delcroix <stephane@delcroix.org>

    reparsing api

commit c2930d5e08354115e2ff9d0b605252a1c351cde7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Missing NULL at the end

commit e9a112ed1551e8380a4452c21ad05c319e09540b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Missing initialisation

commit e38ae4de8ea9e15441468d3bc7bdd7c602203894
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Install champlain-enum-types.h too

commit d1d99be8d3f443bba0348d79458e08d04279dfd2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add support for Proxy
    In the future, libchamplain should link against libsoup-gnome
    and auto-detect proxy settings.  If libsoup-gnome is not
    available, then this new proxy-uri is the fall back.

commit 8b01c1b9ec8e702abfc015848ef28228986b1e66
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Offline is a ChamplainNetworkMapSource property

commit 544e65b4231eb97a6a6375fdee09a1328e3fdbad
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainNetworkMapSource
    It will contain network specific settings too

commit c0f08080fd854017d9ee5ee404ae7f11ec7f0ad4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Change ChamplainStateEnum to ChamplainState like other enums

commit 1c066e1c5694c2c3f043767d49f4659a75358d20
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Apply "early return" style to view

commit c5dcfd0d43451e263a4e2f31d007fe034265c878
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce champlain_view_set_map_source

commit 8c3d3fe1a1fb324be6218f9f300811fcacd4f36e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Documentation and code style updates

commit 49ee6ac496782abd2d2451f3e9d9dc1a06dc3202
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce champlain_view_set_zoom_level

commit 1ca021f84b9f2982c9c684777cb494e27759b145
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce champlain_settings to hold global settings.
    Should probably be transformed on a GObject.

commit 1a03e97b40acfda3e25dfa1425622a8dd230f4a3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a more flexible and simpler API for tile URIs

commit 7eb270dc7622da9e938f97bcc904e4ad39448cbb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix demos to use new ChamplainMapSource API

commit 5b59846eddb1361182777d8c1a353d51d7a67828
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    ChamplainZoomLevel and ChamplainTile are public API too

commit 32be3d6a9a56558a8e9f26a80b8d7cbe9a57feca
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    ChamplainMapSource is public API

commit 17cc4150d9051fa025a865e47b105590073a14bb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove previous tiles when changing source

commit c933a90b846685bccd95fe647430ca57fcae3b81
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add OpenArialMap

commit 5cc4bc8be465a7be7dc83c70fc36b6468fe2e19c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    OpenStreetMap only has 18 levels

commit 152138fe060346d9c46708e8e9623979ded75bfb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove dead code

commit 314fc83f49ca06a33f9de6d63c944dd2a6ee8180
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce ChamplainMapSource

commit c139630415d43f800f1a62d93069fa8bb2ea53b2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    anchor is a view property

commit a345d0ef9c553debe7720f2a19d5b9c8552c7ca8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    GObjectify ChamplainZoomLevel

commit aed53a7285d376fc14c7455b1d9c21238a5b2d7b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Emmanuel

commit 39edc5a2419142a13a12a20e59290fc09488fca8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>

    Bug 574167 – Callbacks of demos/launcher.c return no values

commit fcfcbb9ea6d4c75000958655003dbabb81efa32e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    champlain-enum-types.h should be installed too

commit e21751efba6b4541e268bcd31c753428f4ff3e8d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Stephane's email

commit d0fbb28de19c3e923d9bfbc592fc4257fd1ff27e
Author: Stephane Delcroix <stephane@delcroix.org>

    drop unneeded stuffs

commit 4969c3da49b93c0dc38822ecf75a2d17eb35421d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add credits
    (by order of arrival in the project)

commit 647f57df67306ed3127d05d706a0e0afc129ab47
Author: Michael Sheldon <mike@mikeasoft.com>

    Make python bindings wrap enums correctly
    Update animated-marker.py and launcheer-gtk.py to use enums
    Rename "button" to "combo" in launcher-gtk.py for the combobox

commit 4ec96f0fb0af1a88f0ea16dc9da79cdc08ae914e
Author: Michael Sheldon <mike@mikeasoft.com>

    Ignore _get_type functions for the python bindings (unnecessary in python)

commit 4231156da0f0998cfcaeec088e3f03af742f88d1
Author: Denk Padje <denkpadje@gmail.com>

    Add launcher-gtk.py (python implementation of demos/launcher-gtk.c)

commit 69ca732fa15696345899271d7059830699c2d2a7
Author: Michael Sheldon <mike@mikeasoft.com>

    Update bindings to reflect new Layer gobject
    Make animated-marker.py set behaviours and use layers

commit c0cb99333e48e58959318329ebcab3faec910432
Author: Michael Sheldon <mike@mikeasoft.com>

    Add animated-marker python demo

commit d5f47e82b4d6da79361cd60d2ef51ac6887d92c8
Author: Michael Sheldon <mike@mikeasoft.com>

    Get rid of empathy copy/paste

commit c5a67e529afd60c247f3ccec1e078ff5567e64ea
Author: Michael Sheldon <mike@mikeasoft.com>

    Fix up the bindings a little

commit 09835381dbd23426de610001ca2e5677a8ca7c11
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Go into the python dir

commit b19c2252d939c9bfaaa9ce22ea60e80e72ccf26f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    libchamplain-gtk python bindings

commit 0d42d801204cb1d696625da50f114fc6f7977e0c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    libchamplain python bindings

commit c31b4da68484e38e06b6283df9d84197963e1d13
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Also include enum-types.h

commit baab9bf0703ec374436c13f9be0f4abd75fa7b9e
Author: Stephane Delcroix <stephane@delcroix.org>

    hide ChamplainTile for now, as there'sno way to use it

commit 930525b23af99d4c89b22df35d2ed36d0285b291
Author: Stephane Delcroix <stephane@delcroix.org>

    regenerated raw api

commit dfe8229c3eba9892fd0c7e375a241daa3f0b7fd8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    News for 0.2.9

commit 4db45db93d2f0b0155e108ed104301ac180f56e3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    ChangeLog generator

commit 240e8ab71bfed218154836ded9b4c76639dd8677
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    GObjectify ChamplainLayer
    This one wasn't planned, but the previous implementation wasn't bindings friendly.

commit d02525579c2b6fa1d415f5c25df91ef26a5bac21
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't reposition the markers on idle
    because the function is not called (or too late) when there is
    an animation going on.  It makes the markers disapear for a moment.

commit d0377b60acb28a1bbaed94461e8d9edc2305c017
Author: Stephane Delcroix <stephane@delcroix.org>

    do not hide the zoom-level property, it's not related to the ZoomLevel private struct

commit 4b99ed8b2990c6e970d4dd4b57c487804a39bf70
Author: Stephane Delcroix <stephane@delcroix.org>

    it looks like ZoomLevel shouldnt be exposed, hide it

commit 44d13bc3ace17049abe127fa1c0047a196b0f798
Author: Stephane Delcroix <stephane@delcroix.org>

    fix the dependencies, so the thing is rebuild on metadata changes

commit ef10f0a9b7d30a935d958d48fa4e6edf82bac395
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Clean-up
    (while trying to find a memory leak)

commit a30b8f070e3eac05bed14a7396a497b22e56d5d3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    GObject-ify ChamplainTile
    As ChamplainTile will be publicly visible for custom map sources,
    it needs to be a Gobject.

commit 1403ae36537a46cb079cfcd39bef68fc2a0c1fdf
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove dead code (these sources never actually worked).

commit a7e434c694b9c0310f02acf55b46827f76bf9d57
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add States (Init, Loading, Done)

commit 8bdb0294011c72c494841597170dfe0833e957c1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Clean-up: copy AUTHORS to the main AUTHORS
    The ChangeLog is generated from git
    the NEWS file should be the same as the main project

commit 91100f32a4a797d97684efb9c74412e67d51ee8f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Visit bindings subdir too

commit 4871dee5d7a7db71957fa6c8f08c3b2fb5d34ae7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix minor styling issues

commit 65f0de35540f87ad578d044b83c4ebc5b2eadca0
Author: Stephane Delcroix <stephane@delcroix.org>

    raw api regenerated

commit c1c3b998fd7d487f2fe2699066e2706031da6ce5
Author: Stephane Delcroix <stephane@delcroix.org>

    parse all the files in champlian dir, not a subset of them

commit 3a11ee183b695a663caf5bbb34e3c6d1171d0d27
Author: Stephane Delcroix <stephane@delcroix.org>

    ignore 'generated' folders too

commit 0c450289e7da4d22f2947c44ddcc6e2dce46cda6
Author: Stephane Delcroix <stephane@delcroix.org>

    .gitignore here and there

commit d3e480d2da29143e4e406999a57d6c379b5f9d71
Author: Stephane Delcroix <stephane@delcroix.org>

    new 'api' target to regenerate the raw api

commit 6402e731da9c2797c9c80356132099360ded017b
Author: Stephane Delcroix <stephane@delcroix.org>

    fix the .pc files

commit 921d2a432ee799d9cf72d1ad5e17dc4c409e549b
Author: Stephane Delcroix <stephane@delcroix.org>

    only recurse in the SUBDIRS we want to build

commit d5992f8e0c0e1046ed24345a4ee1a2c3cb537134
Author: Stephane Delcroix <stephane@delcroix.org>

    adding a Makefile in bindings

commit 1fa5ad83ed3ca920720be1572f6574f21bf773c1
Author: Stephane Delcroix <stephane@delcroix.org>

    trying to get a part of the shared love

commit ed11560149af081de32007ccefe93766864000e1
Author: Stephane Delcroix <stephane@delcroix.org>

    fixing the Makefiles, making it build

commit f8a67d63bede3449f4f3a98470f73278825aa6b0
Author: Stephane Delcroix <stephane@delcroix.org>

    cleanup

commit 9108664201db7dfc76ce73cf36e9eb4feeb69f64
Author: Stephane Delcroix <stephane@delcroix.org>

    hooking the managed bindings into the build, step one

commit d50fbbab59da586e32a4f35b196d05f878d39fbe
Author: Stephane Delcroix <stephane@delcroix.org>

    move examples to samples

commit a0c914eeae0db0ea3f54991029b035c871c7527a
Author: Stephane Delcroix <stephane@delcroix.org>

    rename directories

commit 88d437cc828aa25a64cbbb9c3c8e2752642e7eea
Author: Stephane Delcroix <stephane@delcroix.org>

    mv mono to managed, as the bindings should be more generic than mono only

commit df741ca90b5a67c26e501bf971ce0a17dab4b90b
Merge: ba18366 761f82e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Merged Anders Mørk-Pedersen's Mono bindings branch

commit 761f82efcffe9a39d8b989e0cfd470b33d2f593d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move to bindings/mono

commit ba18366bbd5c0c034a44e974f4e75926ee0f193e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Update AUTHORS file

commit 0dfe97f894f04f3bd10c6166942751b9df9041e7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix libchamplain-gtk doc generation

commit 9a11250983feaa59e92ae638563adc14b7bc74da
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make champlain-gtk build conditional

commit 95a920580bd829c0e3614b76e8a9fba01b1e8ac2
Merge: 1bc7693 34be5d3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Merge branch 'master' of git://gitorious.org/libchamplain-gtk/mainline
    Make libchamplain and libchamplain-gtk in one repo

commit 34be5d3c364381be44102ad63019dc96fb2e430f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't track config.h.in

commit 1bc7693a2aa02cbcdff1f05980b429e4743b7265
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add an animated marker demo
    and various code clean-up to demos

commit ec717efa5537e8fc65dc66346f8b8c0a6f83c944
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    references updated to assume the location of /bindings/mono/

commit 30221e52a66d81ad3fda635aa90d40fead7b1b3e
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    this has to be the final one

commit e61aa552eb8fedcc525074e8d5ddef85cebe3c18
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    still with the references, now the example compiles and runs though

commit ffc3a47d696bdecdfd91c0e3b9dc37c8d0dcb4c8
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    changed more references

commit ca03ae38fb85e6ccb34e911a76a4076d8a9b1192
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    should somehow be compatilble with current branch(es)

commit a50b54fa03e5834a615e13d3a723d543a7c96b78
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    breaking the darn thing?

commit 1739555d52e5d935bcce80e28854f08b21c54d17
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    small details

commit e6aaa95d6ee9048de4fdf7327d82eea6a7d4e2c7
Author: Anders Mørk-Pedersen <s071313@student.dtu.dk>

    Initial commit

commit 86f5f3b337b949b3a93eac9708707a4a095bb204
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't generate a million criticals if the image is not found

commit 604729ba00728c1b41e0665cbc0bc94d33b06ee1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Typo in color name

commit 341bec344a291976809ed2e89cdb600fcb4cca0f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a strange bug where the elastic effect is wrong
    This bug was only visible from Empathy.

commit 91ee352bce2776d9bca95398f1daf50c7524858c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't export all symbols

commit 1912470c0086d7dec88dd31c6716ce6122f041a1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Idle calls should actually returns FALSE
    The previous commit introduced a bug where the CPU would be at 100%
    at all time because of accumulating looping idle calls.

commit 294d62b3b5357a6ef6b357e5da35fe8cf8542c1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't ues deprecated signals and fix a random bug
    where the last inserted marker won't show until zoom changes
    because the actor is not yet into the foreach call...

commit 4959fc29a305625b862b3c0d3a2dfc5f973d01be
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 570314: Zoom-in zooms at the wrong place if actor is not positioned at 0,0
    Also fixed for get_coods

commit ed8b18065d8e2a62769edb03e6a9fdeca5b8b324
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Bump version to 0.3
    and update demo to use 0.3 API

commit 2616dc9af488d7b1773f244bd77c1af39b73c1ab
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix files names according to coding conventions

commit 5f0dabd2a0e1a9764fee6d70a9e980d8a5741a51
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 557532: champlain_view_embed_new contains initialization code
    It also makes it now possible to change the embedded ChamplainView at any moment.

commit 6f13a7b034e7f559de496201e1a00fd78ec479cb
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix 557531: champlain_view_new contains initialization code
    Also makes the mode parameter optional

commit 00a10b88ccbf3f5eb9e1de8c82a18eb70598830e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Build GTypes for enums

commit 65827ed589731e9004ce8ad3ea1bbf3af484ac0e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    More coding style fixes

commit e85ee9e402aa56ecd16e2817b4763f61358b87e2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Change so name to 0.3

commit eec175bf54b87827b14f1b1f4b77aae54f9cb47a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix bug 567594 (config.h.in in DVCS)

commit 66b39d5c5f8d75196fbcde016829e2b4376c4c25
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add DEBUG macros

commit 2670a6706d5e2c7a6ade0f0987b6fabeb3ca1508
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Rename files and fix includes according to coding styles

commit b048b8b9a075ca076958067e5a9daf4093c83cc6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Apply coding convention

commit 2c83d4734a6221e654601110ed09660bdd7ba029
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Implement Click-on-the-map feature

commit f33b9086bafa2d4f58fb05c717372c025fd9440f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove unnecessary include and fix coding style in launcher

commit fa5f4268c4e4c0d2be613cf151745008c82b2379
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Don't export dynamic

commit f0ee7d47ec2019a83b6f79cf62f53fabb68fd4d2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    NEWS file for 0.2.8

commit 1a58a14fbc3219ed11cc19952209818625bcd2e6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Updated news for 0.2.8

commit f412908f9efaedb93bd35b33755faca3b88fa1a2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Merge a patch from Lorenzo Masini to add a ChamplainMarker constructor

commit 9856c4e5c0f0a3d40f20237b24328b47de7085d3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Apply patch by Packz Enoch to allow more flexible champlain installation paths

commit 639a40639a1ceda079959423d20db77586e18b37
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix center_on on start up
    The map would be centered at (0,0) no matter what coord were passed

commit 95c926eeaed96228903bc8e260891f110ecfceef
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    You have to hide it, for it to hide

commit cf10f7cd76735e666aecacef3fd0cdc5488bce42
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix map recenter

commit a21449fe91988168916ab1da069c3f59dbfab23c
Merge: e703e8d 0faaf09
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Merge branch 'master' of git@gitorious.org:libchamplain/mainline.git

commit e703e8df2cbdc591c3171f78658e75521b5c9315
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Function to get map coordinates from events

commit 0faaf090bf2250f415512fdf1866ff5e0f6d274d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump 0.2.7

commit 4e5e1364a5d60b6ffaaf62d4bdfaf38ce77fa705
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Finish License feature

commit ccab2c47b5b4e3466e1668fd071f083352c5e250
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add license data to maps

commit 928c02a05f382910cbca45a27ed2f7078a1bdd73
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix Bug 558026 – zoom in + center_on != center_on + zoom in
    By introducting keeping the precise (lat, lon) value, I work around the rounding errors

commit f6b5b984f25e5f5bfdb5dcc7121fc4267e66073e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add a missing level

commit 407e03e5c711e20eac1d2affafb729adc9df37f8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix a memory leak

commit 53b961901c2ec001090ac5e9657ec76124ab06dc
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove some dead code
    There used to be an anchor in ChamplainMarker, but ClutterActor
    offers that functionality now.

commit 6bff43a5dbd219230d4eee6f602652621fea5ef0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Keep map center when resizing the view

commit 51b2c2a7c5658f2db79504a3c6195b39212d2873
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Zoom and center on double-click

commit 5de22cc6179175f2723c8492046aa86841c5d3dd
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Tidy clean up
    Remove some dead code

commit 46449b44e599b2e7b240ad666758fa5fec6394f6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit 691ddecb4f7d4b290eb43583d4af9e0d695cd38a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    version bump

commit 1ee08a9a40716e3d811bab414e487b7adba5330a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    1.0 left overs

commit 5b32b008a4b28843e18d1c88a14bfb7cf45464ef
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce API_VERSION

commit b4bcea3571186ad0eb2682e38cb6eec1e2e8ee52
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Introduce API_VERSION

commit d27c995f66bd1ac0249ae77fb3b16457f95a7185
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Still some -1.0 left overs

commit 43531c57f8f9e0173b8bb4728c4a5e9fbfb9ca84
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit 6d8bde9f757f7cf003d8c7b409ba2dffee6bef94
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump
    AC_CONFIG_MACRIO_DIR(m4) is not needed if no m4 are shipped

commit 4cf833bd1ccab5ac3a61597c3a47806a0f4f936d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Some -1.0 left overs

commit 220af43c880c8073639686ed2a99b13a43a43cc6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix deps

commit 42d964df4728eab8d498f243ed2715d04055c168
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit 6a718f48107e1563e1f3f6abde68e6148448eb3c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit ec39e2ab86006686e123e36435ef7e199632cd69
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make distcheck fix

commit 6e5dbe2eae2912628f6d39566ecbc4512b3066b3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Make distcheck fix

commit 097353b726c20a1f659c0cd76c0af2a9865e49ed
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Force use of <champlain-gtk/champlain-gtk.h>

commit ec137162fd657dddd3571a11e1d0a0308d28a79c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix dependancy on -1.0.la

commit 6fd3afdf94e2cc9377039e2e418f11c0c7d7a4e6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove generated file

commit 2ef5c0392f09ea5d6ca02ed5a1d4ff43fdec87a7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix dependancy on -1.0.la

commit d3975daf2830e80887c3d82c55036b1fe13da582
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Remove generated file

commit ee91b5e0ed9465a711e52cce2f549a6de591d9a9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Force to only include <champlain/champlain.h>

commit 704713555489348b6c2f46cf2b3f44d02b58dbe6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix file naming conviention

commit 8fa5fe3dab7bb38370c3616334f410966170a0c9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use libchamplain-gtk-0.2 instead of -1.0

commit af1399d62cecc747261c3dd6fa3acccb84cd31e1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Use libchamplain-0.2.so instead of -1.0.so
    This change will allow different versions of libchamplain to be installed in parallel.

commit 0b953668f7c69c981b6b88e6c1b5e59f27acf527
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move launcher into demos/

commit 33d1b707a28b231c6a128b698c05470a705adfe6
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Move launcher into demos/

commit bc0db9f48730f062c409ae320ab0627a31b268de
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compile warnings

commit 20f8a3ca5000877f1360b3a417611562da80ace1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compile warnings

commit ecac2b014f90fdd0ad040a57ef2836386d99200d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Version bump

commit d2e7189c600e7ed7d7b09085b0b6456719101c3e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Cairo 1.4 is enough

commit 5917f6f821235e7abe21aac2fd8c2d937959ff48
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compile warnings

commit eada76ce7a0484b5dc80887f10eebd2ff63af77d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix compile warnings and add click

commit 2597e40108357bd290e2c6966138e4f9cc676d93
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix licensing.
    All code should be LGPL 2.1

commit 1a6ec550c1e71cb71f8d400616d57e6106252523
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Fix licencing.
    All code should be LGPL 2.1

commit 45a0eb2c145b99ba5f4d2b46bdcaa9b7e2fda6f1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Add Champlainlayer.h

commit 4eb10d44d0c2ef1ee47c517fdb8eded5f77e9215
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    champlain-1.0 dependancy was missing

commit 83cf9d8c27190c2e075e9db9a0b83e9f2aaf1932
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>

    Missing file

commit 81ba7d4ec71cc45e4b2ca66e88c9c61f598fc3d8
Author: Pierre-Luc Beaudoin <pierlux@beryllium.collabora.co.uk>

    Bad copy paste from libchamplain

commit 855ed880c842f0aa71af8f267cc619acf5041584
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Check API parameters

commit 13b776e4a1717a59be74d84245003e5348cc33c9
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Check given parameters to public API

commit 582f5071eff49db851a75ed9d0d7d8f3cd755897
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Get rid of squidy.info

commit 9caeb28f7cd75f0c368285fa8e298862b182705d
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Get rid of squidy.info

commit f4f4852b6e09bdb8a50498c39507e0801d81637e
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Emit zoom-level notify when map-source changes the zoom-level

commit 9837486b32f76e1790172dc46983a252784122b3
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Missing file

commit e98667669912b4696324ef6c654c239556409465
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Version bump and doc updates

commit 22d85a71fe615cf9bcbe97d776dfc41511cf567b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Version bump and doc updates

commit 9586e06679b22ac4852dfbb6dcd0f043d3b4306f
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Use ChamplainLayer

commit 89cfe9dd417b8ab82a387824028399a84e258c2b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove unnecessary marshals and rename for future

commit 493607a5959ddd086e81eabe5ff055a91bba4f13
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Sort markers
    Markers ought to be sorted so that they overlap in a nice way to
    produce a false 3D plane (with north being far and south being close)

commit 1d567a8e1ca8f53db5a7ab3718ee6667a4169c4f
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Use (lat, lon) for markers too!

commit b99d7af5e29095ae617aea1c8deb998e6262a1cf
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix doc

commit f931e996aa941e34643139c3f86bfa97f8f3be97
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Use (lat, lon) instead of (lon, lat)

commit 46b99dfa2bb68987eedc6a15e1aca8850feb5af0
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Use (lat, lon) instead of (lon, lat)

commit 5eaa2ce952e47396f1ccb5d90d71b5bbe92c33de
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix champlain_view_embed_get_view()

commit 98c5d8c05d29612997077393a1f6165c09fe1bb3
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Version increment

commit 84a9e3f1f95266a0bf652840e2ac1fee41ed4cf1
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Version increment

commit 9f25a5ac32f1f854db8a269a19ceec61678a037c
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Initial creation

commit 29710ffeebfbd6f359b2f01152aff96b255f3ce8
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Split gtk+ deps to libchamplain-gtk

commit 50d5672d57e0d7562286686f94a87e290593a1da
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

    Ignore generated files

commit d92797bd72ff4bd231fa0b331a9bf3ef7d56a099
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

    Fix build to work with builddir != srcdir and with with parallell make (e.g. -j3)

commit a882a64acf28f12ba294a4a7acb06757194898b7
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

    remove glib marshal generated files

commit 192505fa1151fac92e74167516e2ed78a8fbfe45
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>

    Remove autotools generated files

commit a0eae3cd100e12176145021e381f0a4573cfa06f
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix markers positions on center_on

commit 434ba9d796c48614b67915ddaea966a9477de211
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix not distributed headers

commit 523220eea5d24369946e82e3cdb694878b533bfd
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Cairo optimisation

commit 108fdf1924a8c144ab280af8dc8cea425305f1ba
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix when center_on is called before the widget got it's size

commit 89192cc13d4cc5fa092e955c20d8b093dc69838d
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove files from Makefile.am

commit b3c6e580b24fcfb355f41d4581feec297d46614a
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Use default hand cursors

commit 5a65104d93307bc6b6bca8f8bcacbaafa61011de
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove generated bits

commit 0f09ec555805f5cc57f0e50b1f7f9db3638a77e5
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove champlain_marker_set_anchor
    clutter_actor_set_anchor_point has the same functionality.

commit 501da2deeea4f90488fc876582acfa3c09bd2dc5
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add missing files

commit df83e4daba6758547a0b8b9790c7c7644a148375
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add hand mouse cursors

commit 7243bf0e42196fac61623803e6d2dce122ad966a
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Mouse wheel zoom
    Requires patched clutter-gtk
    See http://bugzilla.openedhand.com/show_bug.cgi?id=1114

commit e1f47d0d374b53472b1d75eed64accc22723a5d2
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix includes

commit 967095e068e47cd5fcc839fb21a50d4404523b06
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove unneeded doc

commit e29fdad40228f43bc03759d385c382ab041d0a01
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Move initial map creation to a function
    In case the functions aren't called in the same order than planned.

commit a6452724f5482306bfccd4c2355dba53690c66ea
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Remove unnecessary doc

commit bab1537f1b5ff99ad5fd993c5d4a4c59bbd20f6c
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix coding styles

commit 06c11cc4c6473dcab0415a2e9f17c7a8dacb5894
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix image installation

commit 2aa28c3ad080d81d058b3541c647479c023e4e88
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Improve doc

commit 5be94f50aa70711649fab368fe06948fdc6a5be8
Merge: fc923e2 aaa4207
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Merge branch 'POI'

commit aaa4207576d33be012d02fbb51c1ed1efd764e42
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add default label markers

commit fc923e289e61b5b819262b1c41dc11a043b9c2e6
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix doc

commit 55c14d8df394c3e09e150e1f3bdf04180be893df
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Reposition markers on set_position

commit 75713a12f06c9f3e9bfd2a3a8af1d82d567863a0
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Adjust markers with zoom anchor

commit 703550254a42fce87ce370d6a1ce340f14d2a607
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix rebase

commit b075898ca0a0e6d58420dff34f7d0b4eb5b941d3
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add a marker image

commit cff98848d9886b3bb3b06ba09892ea218c3f62c4
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add missing files

commit baa7a845d74acc0121cba41bc4afe051685359a1
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Marker objects

commit 3d5d5f4e66440a393a790f57aa9be840022da7f8
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix low level zoom

commit f9d552e3b5be60235e0f1fe0291beb26633d68bf
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Animated tiles

commit 7c377b1f1db68262a5598ca12d1ef6292356a63b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Code simplification

commit 671e2383e2a05d4b6100136062faa1d1893b2ab1
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix async free of tiles

commit b2e93e21bdaaf60a0df1b1dd1c6df31de83e671c
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Keep only visible tiles and level in memory

commit 219a1d2107278f2cacef0886a263bdb260079b31
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Unlimited zoom

commit a285b04f13c4c860001ea03d1efc25bdd8762859
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    decel-rate and mode var

commit ad997749a37e958a25bf1828e36e18e73276a9a6
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Offline mode

commit 2eb0893f2466f1811e5c31312958a91fe61c83d4
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Error tiles

commit 276c6efc536517c5b1c1177ebd1d34fdac6738ab
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Property tests

commit 3785f23420f0c85bf54769014a8815dccba74bc0
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix Tile freeing

commit a6772ebc894f03fac6717f547865335eef03a4e5
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix map-source property
    When switching, the current zoom level is saved and
    reapplied to the new source, there were not check
    if the new source supported such a zoom level.

commit 7357647ee4111fd3536bdf6d8dd3b3e924e55e3e
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    zoom-level property

commit 7db5ddbc5f0f2c9641794489325def324afd3536
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    map-source property
    and hot switching of it

commit 6d5c6210baea0a5f8238f7da97507b39fe7a14b1
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add new map sources

commit 8be35ae74ae8cbf5aee986ad3bbbe7b87c1f63e5
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix a memory leak

commit 9a6df4ace31918da0875e6d3fdff8ededfe9bfb7
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Add missing file

commit a5ed94f2782a6197f9562d76773a0eaab99bfa1c
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Add zoom limit
    until the x, y system is redesigned not to
    have values > 2^16 (which is the size limit
    of ClutterUnit)

commit 9f249051edb82aee1cd9599ceaed2f1b215d0f3d
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Removed redefined var

commit 334c949a0ef5ff4c3d80bb76a620ad64dca6aba6
Author: Pierre-Luc Beaudoin <pierlux@carbon.(none)>

    Fix the autotools setup

commit 9477aa1d8e2a2141a262b68c54263b16b8dc2545
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix doc

commit 625365956c6b09fcf63bc4a98021f11e27165508
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Improve library install

commit 182ab6dd89814485d905d79b0a921e8c96790fb0
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Gtk-doc

commit 79acb48c2b80de425118b6d8ce88b065fdd46b3d
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Properties and doc

commit f6dd3c4cbe43dfa614ff98ac57229521ec536f43
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Zoom

commit 706d86cde6a8fe3f2de14396056edb30f39c592b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Downloading tiles!

commit 0f8fda86a48f8f5a76c6dd915ca71ddd5b70a46b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Tile loading

commit c4bc9c7737b4376d222b5f64a3539da3a7498988
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Center map on coordinates

commit e28fee069d1a32ddf019e9e665b7508da36524b2
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fixed library

commit 284cea56379bbdf14779fc9b88c4e5fe591cc7f6
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Build needs to be fixed

commit 9b786f86f9a21b5bdb1565aab1b5f077276e166e
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Implement map sources

commit 9d6b2298445997246c34b572cc530b49d5cc45a4
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Clean up

commit d685da0473f678ce3cc2d0d52a83e13ecf4c52a5
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Working finger scroll

commit 2f0ba4f1dd3ec8eb4b464d85beed5fa1b47fc4d2
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Compiling Tidy integration

commit a2391ad32d824b07706993bffec9f2f1c4958637
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Debugging

commit 3fd51149ec4776f9fc618494641ea4c2af66db05
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Tile visibility

commit f10d833528dec0b213f12248945867098f460e6e
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add ZoomLevel and Tile

commit cb94cdd88246219b83ae84b67463ee2714463324
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add Maps

commit b1fd04a518e19017ee1c9f83d6ec95e7ad71ea9a
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix gwarnings on quit

commit 1c40f27f1c78d2146c9b9bfdaf39367baa23af1b
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix indent

commit 127b900236be7f2e27b6bec71fe75a08599ec282
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Working finger scroll
    Warnings at shutdown are due to unconnected callbacks for gtkAdjustments

commit 4f26012fbcf6f36b5204ef057b6426e42a835e19
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Working scrollbars

commit c6360653901eb8d41a826589591099620285705a
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Fix gobject warnings and GtkAdjustment tries

commit 126fef877f5e689aea5b1db6503e6255bb0dc5cb
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Scrollable Window Attempt

commit 921ce6b36233ca2992effa01275a3d511a939a12
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Inherit from GtkAlignment

commit b886423b40760e1c777bd795ece60b62a8781779
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Add clutter deps

commit 95598df474db9d6e0f7bf1adbeb5aa953f62f4e2
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    the Gtk widget debutes

commit e7546c7c0986174ab423bb05909073dd4262c17f
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Compiling widget

commit 3180196712fbee5497cd4ec206649116fab7c3a1
Author: Pierre-Luc Beaudoin <pierre-luc@squidy.info>

    Initial commit
